# This file was created automatically by SWIG.
import graphicsc

from misc import *

from containers import *

from windows import *
import fox
class FXBitmapPtr(FXDrawablePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def create(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_destroy,(self,) + _args, _kwargs)
        return val
    def render(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_render,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_resize,(self,) + _args, _kwargs)
        return val
    def savePixels(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_savePixels,(self,) + _args, _kwargs)
        return val
    def loadPixels(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_loadPixels,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(graphicsc.FXBitmap_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,graphicsc=graphicsc):
        if self.thisown == 1 :
            graphicsc.delete_FXBitmap(self)
    def __repr__(self):
        return "<C FXBitmap instance at %s>" % (self.this,)
class FXBitmap(FXBitmapPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(graphicsc.new_FXBitmap,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXCursorPtr(FXIdPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getHotX(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_getHotX,(self,) + _args, _kwargs)
        return val
    def getHotY(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_getHotY,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_destroy,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(graphicsc.FXCursor_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,graphicsc=graphicsc):
        if self.thisown == 1 :
            graphicsc.delete_FXCursor(self)
    def __repr__(self):
        return "<C FXCursor instance at %s>" % (self.this,)
class FXCursor(FXCursorPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(graphicsc.new_FXCursor,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXImageViewPtr(FXScrollAreaPtr):
    ID_XYZ = graphicsc.FXImageView_ID_XYZ
    ID_LAST = graphicsc.FXImageView_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onPaint(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_onPaint,(self,) + _args, _kwargs)
        return val
    def onMotion(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_onMotion,(self,) + _args, _kwargs)
        return val
    def onRightBtnPress(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_onRightBtnPress,(self,) + _args, _kwargs)
        return val
    def onRightBtnRelease(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_onRightBtnRelease,(self,) + _args, _kwargs)
        return val
    def getContentWidth(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getContentWidth,(self,) + _args, _kwargs)
        return val
    def getContentHeight(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getContentHeight,(self,) + _args, _kwargs)
        return val
    def setImage(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_setImage,(self,) + _args, _kwargs)
        return val
    def getImage(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getImage,(self,) + _args, _kwargs)
        if val: val = FXImagePtr(val) 
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(graphicsc.FXImageView_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,graphicsc=graphicsc):
        if self.thisown == 1 :
            graphicsc.delete_FXImageView(self)
    def __repr__(self):
        return "<C FXImageView instance at %s>" % (self.this,)
class FXImageView(FXImageViewPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(graphicsc.new_FXImageView,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------

BITMAP_KEEP = graphicsc.BITMAP_KEEP
BITMAP_OWNED = graphicsc.BITMAP_OWNED
BITMAP_SHMI = graphicsc.BITMAP_SHMI
BITMAP_SHMP = graphicsc.BITMAP_SHMP
CURSOR_ARROW = graphicsc.CURSOR_ARROW
CURSOR_RARROW = graphicsc.CURSOR_RARROW
CURSOR_IBEAM = graphicsc.CURSOR_IBEAM
CURSOR_WATCH = graphicsc.CURSOR_WATCH
CURSOR_CROSS = graphicsc.CURSOR_CROSS
CURSOR_UPDOWN = graphicsc.CURSOR_UPDOWN
CURSOR_LEFTRIGHT = graphicsc.CURSOR_LEFTRIGHT
CURSOR_MOVE = graphicsc.CURSOR_MOVE
