# This file was created automatically by SWIG.
import dialogsc

from windows import *

from misc import *

from containers import *

from controls import *

from treelist import *

from iconlist import *
import fox
class FXDialogBoxPtr(FXTopWindowPtr):
    ID_CANCEL = dialogsc.FXDialogBox_ID_CANCEL
    ID_ACCEPT = dialogsc.FXDialogBox_ID_ACCEPT
    ID_LAST = dialogsc.FXDialogBox_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onKeyPress(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onKeyPress,(self,) + _args, _kwargs)
        return val
    def onKeyRelease(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onKeyRelease,(self,) + _args, _kwargs)
        return val
    def onClose(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onClose,(self,) + _args, _kwargs)
        return val
    def onCmdAccept(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onCmdAccept,(self,) + _args, _kwargs)
        return val
    def onCmdCancel(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onCmdCancel,(self,) + _args, _kwargs)
        return val
    def execute(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_execute,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDialogBox_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXDialogBox(self)
    def __repr__(self):
        return "<C FXDialogBox instance at %s>" % (self.this,)
class FXDialogBox(FXDialogBoxPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXDialogBox,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXDirBoxPtr(FXTreeListBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onChanged(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onChanged,(self,) + _args, _kwargs)
        return val
    def onCommand(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onCommand,(self,) + _args, _kwargs)
        return val
    def onCmdSetValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onCmdSetValue,(self,) + _args, _kwargs)
        return val
    def onCmdSetStringValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onCmdSetStringValue,(self,) + _args, _kwargs)
        return val
    def onCmdGetStringValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onCmdGetStringValue,(self,) + _args, _kwargs)
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_getDirectory,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirBox_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXDirBox(self)
    def __repr__(self):
        return "<C FXDirBox instance at %s>" % (self.this,)
class FXDirBox(FXDirBoxPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXDirBox,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFileItemPtr(FXIconItemPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def isFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isFile,(self,) + _args, _kwargs)
        return val
    def isDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isDirectory,(self,) + _args, _kwargs)
        return val
    def isExecutable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isExecutable,(self,) + _args, _kwargs)
        return val
    def isSymlink(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isSymlink,(self,) + _args, _kwargs)
        return val
    def isChardev(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isChardev,(self,) + _args, _kwargs)
        return val
    def isBlockdev(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isBlockdev,(self,) + _args, _kwargs)
        return val
    def isFifo(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isFifo,(self,) + _args, _kwargs)
        return val
    def isSocket(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_isSocket,(self,) + _args, _kwargs)
        return val
    def getAssoc(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_getAssoc,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def getSize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_getSize,(self,) + _args, _kwargs)
        return val
    def getDate(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_getDate,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_onDefault,(self,) + _args, _kwargs)
        return val
    def setText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setText,(self,) + _args, _kwargs)
        return val
    def setBigIcon(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setBigIcon,(self,) + _args, _kwargs)
        return val
    def setMiniIcon(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setMiniIcon,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setFocus,(self,) + _args, _kwargs)
        return val
    def setSelected(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setSelected,(self,) + _args, _kwargs)
        return val
    def setEnabled(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setEnabled,(self,) + _args, _kwargs)
        return val
    def setDraggable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setDraggable,(self,) + _args, _kwargs)
        return val
    def setMarked(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_setMarked,(self,) + _args, _kwargs)
        return val
    def getWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_getWidth,(self,) + _args, _kwargs)
        return val
    def getHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_getHeight,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileItem_destroy,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileItem(self)
    def __repr__(self):
        return "<C FXFileItem instance at %s>" % (self.this,)
class FXFileItem(FXFileItemPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileItem,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFileListPtr(FXIconListPtr):
    ID_SORT_BY_NAME = dialogsc.FXFileList_ID_SORT_BY_NAME
    ID_SORT_BY_TYPE = dialogsc.FXFileList_ID_SORT_BY_TYPE
    ID_SORT_BY_SIZE = dialogsc.FXFileList_ID_SORT_BY_SIZE
    ID_SORT_BY_TIME = dialogsc.FXFileList_ID_SORT_BY_TIME
    ID_SORT_BY_USER = dialogsc.FXFileList_ID_SORT_BY_USER
    ID_SORT_BY_GROUP = dialogsc.FXFileList_ID_SORT_BY_GROUP
    ID_SORT_REVERSE = dialogsc.FXFileList_ID_SORT_REVERSE
    ID_DIRECTORY_UP = dialogsc.FXFileList_ID_DIRECTORY_UP
    ID_DIRECTORY_NEW = dialogsc.FXFileList_ID_DIRECTORY_NEW
    ID_SET_PATTERN = dialogsc.FXFileList_ID_SET_PATTERN
    ID_SET_DIRECTORY = dialogsc.FXFileList_ID_SET_DIRECTORY
    ID_SHOW_HIDDEN = dialogsc.FXFileList_ID_SHOW_HIDDEN
    ID_HIDE_HIDDEN = dialogsc.FXFileList_ID_HIDE_HIDDEN
    ID_TOGGLE_HIDDEN = dialogsc.FXFileList_ID_TOGGLE_HIDDEN
    ID_REFRESH = dialogsc.FXFileList_ID_REFRESH
    ID_LAST = dialogsc.FXFileList_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onRefresh(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onRefresh,(self,) + _args, _kwargs)
        return val
    def onDNDEnter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDNDEnter,(self,) + _args, _kwargs)
        return val
    def onDNDLeave(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDNDLeave,(self,) + _args, _kwargs)
        return val
    def onDNDMotion(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDNDMotion,(self,) + _args, _kwargs)
        return val
    def onDNDDrop(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDNDDrop,(self,) + _args, _kwargs)
        return val
    def onDNDRequest(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDNDRequest,(self,) + _args, _kwargs)
        return val
    def onSelectionRequest(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onSelectionRequest,(self,) + _args, _kwargs)
        return val
    def onBeginDrag(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onBeginDrag,(self,) + _args, _kwargs)
        return val
    def onEndDrag(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onEndDrag,(self,) + _args, _kwargs)
        return val
    def onDragged(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDragged,(self,) + _args, _kwargs)
        return val
    def onCmdSetValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSetValue,(self,) + _args, _kwargs)
        return val
    def onCmdGetStringValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdGetStringValue,(self,) + _args, _kwargs)
        return val
    def onCmdSetStringValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSetStringValue,(self,) + _args, _kwargs)
        return val
    def onCmdDirectoryUp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdDirectoryUp,(self,) + _args, _kwargs)
        return val
    def onUpdDirectoryUp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdDirectoryUp,(self,) + _args, _kwargs)
        return val
    def onCmdDirectoryNew(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdDirectoryNew,(self,) + _args, _kwargs)
        return val
    def onUpdDirectoryNew(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdDirectoryNew,(self,) + _args, _kwargs)
        return val
    def onCmdSortByName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortByName,(self,) + _args, _kwargs)
        return val
    def onUpdSortByName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortByName,(self,) + _args, _kwargs)
        return val
    def onCmdSortByType(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortByType,(self,) + _args, _kwargs)
        return val
    def onUpdSortByType(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortByType,(self,) + _args, _kwargs)
        return val
    def onCmdSortBySize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortBySize,(self,) + _args, _kwargs)
        return val
    def onUpdSortBySize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortBySize,(self,) + _args, _kwargs)
        return val
    def onCmdSortByTime(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortByTime,(self,) + _args, _kwargs)
        return val
    def onUpdSortByTime(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortByTime,(self,) + _args, _kwargs)
        return val
    def onCmdSortByUser(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortByUser,(self,) + _args, _kwargs)
        return val
    def onUpdSortByUser(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortByUser,(self,) + _args, _kwargs)
        return val
    def onCmdSortByGroup(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortByGroup,(self,) + _args, _kwargs)
        return val
    def onUpdSortByGroup(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortByGroup,(self,) + _args, _kwargs)
        return val
    def onCmdSortReverse(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSortReverse,(self,) + _args, _kwargs)
        return val
    def onUpdSortReverse(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSortReverse,(self,) + _args, _kwargs)
        return val
    def onCmdSetPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSetPattern,(self,) + _args, _kwargs)
        return val
    def onUpdSetPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSetPattern,(self,) + _args, _kwargs)
        return val
    def onCmdSetDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdSetDirectory,(self,) + _args, _kwargs)
        return val
    def onUpdSetDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdSetDirectory,(self,) + _args, _kwargs)
        return val
    def onCmdToggleHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdToggleHidden,(self,) + _args, _kwargs)
        return val
    def onUpdToggleHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdToggleHidden,(self,) + _args, _kwargs)
        return val
    def onCmdShowHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdShowHidden,(self,) + _args, _kwargs)
        return val
    def onUpdShowHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdShowHidden,(self,) + _args, _kwargs)
        return val
    def onCmdHideHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdHideHidden,(self,) + _args, _kwargs)
        return val
    def onUpdHideHidden(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onUpdHideHidden,(self,) + _args, _kwargs)
        return val
    def onCmdHeader(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onCmdHeader,(self,) + _args, _kwargs)
        return val
    def setCurrentFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_setCurrentFile,(self,) + _args, _kwargs)
        return val
    def getCurrentFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getCurrentFile,(self,) + _args, _kwargs)
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getDirectory,(self,) + _args, _kwargs)
        return val
    def setPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_setPattern,(self,) + _args, _kwargs)
        return val
    def getPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getPattern,(self,) + _args, _kwargs)
        return val
    def isItemDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_isItemDirectory,(self,) + _args, _kwargs)
        return val
    def isItemFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_isItemFile,(self,) + _args, _kwargs)
        return val
    def isItemExecutable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_isItemExecutable,(self,) + _args, _kwargs)
        return val
    def getItemFilename(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getItemFilename,(self,) + _args, _kwargs)
        return val
    def getItemPathname(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getItemPathname,(self,) + _args, _kwargs)
        return val
    def getItemAssoc(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getItemAssoc,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def getMatchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getMatchMode,(self,) + _args, _kwargs)
        return val
    def setMatchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_setMatchMode,(self,) + _args, _kwargs)
        return val
    def hiddenFilesShown(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_hiddenFilesShown,(self,) + _args, _kwargs)
        return val
    def showHiddenFiles(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_showHiddenFiles,(self,) + _args, _kwargs)
        return val
    def setAssociations(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_setAssociations,(self,) + _args, _kwargs)
        return val
    def getAssociations(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_getAssociations,(self,) + _args, _kwargs)
        return val
    def onlyDirectoriesShown(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onlyDirectoriesShown,(self,) + _args, _kwargs)
        return val
    def showOnlyDirectories(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_showOnlyDirectories,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileList_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileList(self)
    def __repr__(self):
        return "<C FXFileList instance at %s>" % (self.this,)
class FXFileList(FXFileListPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileList,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFileSelectorPtr(FXPackerPtr):
    ID_FILEFILTER = dialogsc.FXFileSelector_ID_FILEFILTER
    ID_FILENAME = dialogsc.FXFileSelector_ID_FILENAME
    ID_FILELIST = dialogsc.FXFileSelector_ID_FILELIST
    ID_DIRECTORY_UP = dialogsc.FXFileSelector_ID_DIRECTORY_UP
    ID_DIRTREE = dialogsc.FXFileSelector_ID_DIRTREE
    ID_HOME = dialogsc.FXFileSelector_ID_HOME
    ID_LAST = dialogsc.FXFileSelector_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdName,(self,) + _args, _kwargs)
        return val
    def onCmdFilter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdFilter,(self,) + _args, _kwargs)
        return val
    def onCmdItemOpened(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdItemOpened,(self,) + _args, _kwargs)
        return val
    def onCmdItemSelected(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdItemSelected,(self,) + _args, _kwargs)
        return val
    def onCmdDirectoryUp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdDirectoryUp,(self,) + _args, _kwargs)
        return val
    def onUpdDirectoryUp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onUpdDirectoryUp,(self,) + _args, _kwargs)
        return val
    def onCmdDirTree(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdDirTree,(self,) + _args, _kwargs)
        return val
    def onCmdHome(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onCmdHome,(self,) + _args, _kwargs)
        return val
    def acceptButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_acceptButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def cancelButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_cancelButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def setFilename(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setFilename,(self,) + _args, _kwargs)
        return val
    def getFilename(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getFilename,(self,) + _args, _kwargs)
        return val
    def setPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setPattern,(self,) + _args, _kwargs)
        return val
    def getPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getPattern,(self,) + _args, _kwargs)
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getDirectory,(self,) + _args, _kwargs)
        return val
    def setPatternList(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setPatternList,(self,) + _args, _kwargs)
        return val
    def setCurrentPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setCurrentPattern,(self,) + _args, _kwargs)
        return val
    def getCurrentPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getCurrentPattern,(self,) + _args, _kwargs)
        return val
    def getPatternText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getPatternText,(self,) + _args, _kwargs)
        return val
    def setPatternText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setPatternText,(self,) + _args, _kwargs)
        return val
    def setItemSpace(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setItemSpace,(self,) + _args, _kwargs)
        return val
    def getItemSpace(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getItemSpace,(self,) + _args, _kwargs)
        return val
    def setFileBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_setFileBoxStyle,(self,) + _args, _kwargs)
        return val
    def getFileBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_getFileBoxStyle,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileSelector_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileSelector(self)
    def __repr__(self):
        return "<C FXFileSelector instance at %s>" % (self.this,)
class FXFileSelector(FXFileSelectorPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileSelector,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFileDialogPtr(FXDialogBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def setFilename(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setFilename,(self,) + _args, _kwargs)
        return val
    def getFilename(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getFilename,(self,) + _args, _kwargs)
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getDirectory,(self,) + _args, _kwargs)
        return val
    def setPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setPattern,(self,) + _args, _kwargs)
        return val
    def getPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getPattern,(self,) + _args, _kwargs)
        return val
    def setPatternList(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setPatternList,(self,) + _args, _kwargs)
        return val
    def setCurrentPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setCurrentPattern,(self,) + _args, _kwargs)
        return val
    def getCurrentPattern(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getCurrentPattern,(self,) + _args, _kwargs)
        return val
    def getPatternText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getPatternText,(self,) + _args, _kwargs)
        return val
    def setPatternText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setPatternText,(self,) + _args, _kwargs)
        return val
    def setItemSpace(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setItemSpace,(self,) + _args, _kwargs)
        return val
    def getItemSpace(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getItemSpace,(self,) + _args, _kwargs)
        return val
    def setFileBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_setFileBoxStyle,(self,) + _args, _kwargs)
        return val
    def getFileBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_getFileBoxStyle,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileDialog(self)
    def __repr__(self):
        return "<C FXFileDialog instance at %s>" % (self.this,)
class FXFileDialog(FXFileDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXColorSelectorPtr(FXPackerPtr):
    ID_CUSTOM_FIRST = dialogsc.FXColorSelector_ID_CUSTOM_FIRST
    ID_CUSTOM_LAST = dialogsc.FXColorSelector_ID_CUSTOM_LAST
    ID_RGB_RED_SLIDER = dialogsc.FXColorSelector_ID_RGB_RED_SLIDER
    ID_RGB_GREEN_SLIDER = dialogsc.FXColorSelector_ID_RGB_GREEN_SLIDER
    ID_RGB_BLUE_SLIDER = dialogsc.FXColorSelector_ID_RGB_BLUE_SLIDER
    ID_RGB_ALPHA_SLIDER = dialogsc.FXColorSelector_ID_RGB_ALPHA_SLIDER
    ID_RGB_RED_TEXT = dialogsc.FXColorSelector_ID_RGB_RED_TEXT
    ID_RGB_GREEN_TEXT = dialogsc.FXColorSelector_ID_RGB_GREEN_TEXT
    ID_RGB_BLUE_TEXT = dialogsc.FXColorSelector_ID_RGB_BLUE_TEXT
    ID_RGB_ALPHA_TEXT = dialogsc.FXColorSelector_ID_RGB_ALPHA_TEXT
    ID_HSV_HUE_SLIDER = dialogsc.FXColorSelector_ID_HSV_HUE_SLIDER
    ID_HSV_SATURATION_SLIDER = dialogsc.FXColorSelector_ID_HSV_SATURATION_SLIDER
    ID_HSV_VALUE_SLIDER = dialogsc.FXColorSelector_ID_HSV_VALUE_SLIDER
    ID_HSV_ALPHA_SLIDER = dialogsc.FXColorSelector_ID_HSV_ALPHA_SLIDER
    ID_HSV_HUE_TEXT = dialogsc.FXColorSelector_ID_HSV_HUE_TEXT
    ID_HSV_SATURATION_TEXT = dialogsc.FXColorSelector_ID_HSV_SATURATION_TEXT
    ID_HSV_VALUE_TEXT = dialogsc.FXColorSelector_ID_HSV_VALUE_TEXT
    ID_HSV_ALPHA_TEXT = dialogsc.FXColorSelector_ID_HSV_ALPHA_TEXT
    ID_CMY_CYAN_SLIDER = dialogsc.FXColorSelector_ID_CMY_CYAN_SLIDER
    ID_CMY_MAGENTA_SLIDER = dialogsc.FXColorSelector_ID_CMY_MAGENTA_SLIDER
    ID_CMY_YELLOW_SLIDER = dialogsc.FXColorSelector_ID_CMY_YELLOW_SLIDER
    ID_CMY_ALPHA_SLIDER = dialogsc.FXColorSelector_ID_CMY_ALPHA_SLIDER
    ID_CMY_CYAN_TEXT = dialogsc.FXColorSelector_ID_CMY_CYAN_TEXT
    ID_CMY_MAGENTA_TEXT = dialogsc.FXColorSelector_ID_CMY_MAGENTA_TEXT
    ID_CMY_YELLOW_TEXT = dialogsc.FXColorSelector_ID_CMY_YELLOW_TEXT
    ID_CMY_ALPHA_TEXT = dialogsc.FXColorSelector_ID_CMY_ALPHA_TEXT
    ID_COLOR_LIST = dialogsc.FXColorSelector_ID_COLOR_LIST
    ID_WELL_CHANGED = dialogsc.FXColorSelector_ID_WELL_CHANGED
    ID_COLOR = dialogsc.FXColorSelector_ID_COLOR
    ID_ACTIVEPANE = dialogsc.FXColorSelector_ID_ACTIVEPANE
    ID_LAST = dialogsc.FXColorSelector_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdColor,(self,) + _args, _kwargs)
        return val
    def onChgColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onChgColor,(self,) + _args, _kwargs)
        return val
    def onCmdWell(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdWell,(self,) + _args, _kwargs)
        return val
    def onChgWell(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onChgWell,(self,) + _args, _kwargs)
        return val
    def onCmdRGBSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdRGBSlider,(self,) + _args, _kwargs)
        return val
    def onUpdRGBSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdRGBSlider,(self,) + _args, _kwargs)
        return val
    def onCmdRGBText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdRGBText,(self,) + _args, _kwargs)
        return val
    def onUpdRGBText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdRGBText,(self,) + _args, _kwargs)
        return val
    def onCmdHSVSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdHSVSlider,(self,) + _args, _kwargs)
        return val
    def onUpdHSVSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdHSVSlider,(self,) + _args, _kwargs)
        return val
    def onCmdHSVText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdHSVText,(self,) + _args, _kwargs)
        return val
    def onUpdHSVText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdHSVText,(self,) + _args, _kwargs)
        return val
    def onCmdCMYSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdCMYSlider,(self,) + _args, _kwargs)
        return val
    def onUpdCMYSlider(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdCMYSlider,(self,) + _args, _kwargs)
        return val
    def onCmdCMYText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdCMYText,(self,) + _args, _kwargs)
        return val
    def onUpdCMYText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onUpdCMYText,(self,) + _args, _kwargs)
        return val
    def onCmdList(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdList,(self,) + _args, _kwargs)
        return val
    def onCmdCustomWell(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdCustomWell,(self,) + _args, _kwargs)
        return val
    def onChgCustomWell(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onChgCustomWell,(self,) + _args, _kwargs)
        return val
    def onCmdSetValue(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdSetValue,(self,) + _args, _kwargs)
        return val
    def onCmdActivePane(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onCmdActivePane,(self,) + _args, _kwargs)
        return val
    def acceptButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_acceptButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def cancelButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_cancelButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def setRGBA(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_setRGBA,(self,) + _args, _kwargs)
        return val
    def getRGBA(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_getRGBA,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorSelector_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXColorSelector(self)
    def __repr__(self):
        return "<C FXColorSelector instance at %s>" % (self.this,)
class FXColorSelector(FXColorSelectorPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXColorSelector,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXColorDialogPtr(FXDialogBoxPtr):
    ID_COLORSELECTOR = dialogsc.FXColorDialog_ID_COLORSELECTOR
    ID_LAST = dialogsc.FXColorDialog_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onChgColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_onChgColor,(self,) + _args, _kwargs)
        return val
    def onCmdColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_onCmdColor,(self,) + _args, _kwargs)
        return val
    def setRGBA(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_setRGBA,(self,) + _args, _kwargs)
        return val
    def getRGBA(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_getRGBA,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXColorDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXColorDialog(self)
    def __repr__(self):
        return "<C FXColorDialog instance at %s>" % (self.this,)
class FXColorDialog(FXColorDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXColorDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFontSelectorPtr(FXPackerPtr):
    ID_FAMILY = dialogsc.FXFontSelector_ID_FAMILY
    ID_WEIGHT = dialogsc.FXFontSelector_ID_WEIGHT
    ID_STYLE = dialogsc.FXFontSelector_ID_STYLE
    ID_STYLE_TEXT = dialogsc.FXFontSelector_ID_STYLE_TEXT
    ID_SIZE = dialogsc.FXFontSelector_ID_SIZE
    ID_SIZE_TEXT = dialogsc.FXFontSelector_ID_SIZE_TEXT
    ID_CHARSET = dialogsc.FXFontSelector_ID_CHARSET
    ID_SETWIDTH = dialogsc.FXFontSelector_ID_SETWIDTH
    ID_PITCH = dialogsc.FXFontSelector_ID_PITCH
    ID_SCALABLE = dialogsc.FXFontSelector_ID_SCALABLE
    ID_ALLFONTS = dialogsc.FXFontSelector_ID_ALLFONTS
    ID_LAST = dialogsc.FXFontSelector_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdFamily(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdFamily,(self,) + _args, _kwargs)
        return val
    def onCmdWeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdWeight,(self,) + _args, _kwargs)
        return val
    def onCmdStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdStyle,(self,) + _args, _kwargs)
        return val
    def onCmdStyleText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdStyleText,(self,) + _args, _kwargs)
        return val
    def onCmdSize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdSize,(self,) + _args, _kwargs)
        return val
    def onCmdSizeText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdSizeText,(self,) + _args, _kwargs)
        return val
    def onCmdCharset(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdCharset,(self,) + _args, _kwargs)
        return val
    def onUpdCharset(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onUpdCharset,(self,) + _args, _kwargs)
        return val
    def onCmdSetWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdSetWidth,(self,) + _args, _kwargs)
        return val
    def onUpdSetWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onUpdSetWidth,(self,) + _args, _kwargs)
        return val
    def onCmdPitch(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdPitch,(self,) + _args, _kwargs)
        return val
    def onUpdPitch(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onUpdPitch,(self,) + _args, _kwargs)
        return val
    def onCmdScalable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdScalable,(self,) + _args, _kwargs)
        return val
    def onUpdScalable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onUpdScalable,(self,) + _args, _kwargs)
        return val
    def onCmdAllFonts(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onCmdAllFonts,(self,) + _args, _kwargs)
        return val
    def onUpdAllFonts(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onUpdAllFonts,(self,) + _args, _kwargs)
        return val
    def acceptButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_acceptButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def cancelButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_cancelButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def setFontSelection(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_setFontSelection,(self,) + _args, _kwargs)
        return val
    def getFontSelection(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_getFontSelection,(self,) + _args, _kwargs)
        if val: val = FXFontDescPtr(val) ; val.thisown = 1
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontSelector_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFontSelector(self)
    def __repr__(self):
        return "<C FXFontSelector instance at %s>" % (self.this,)
class FXFontSelector(FXFontSelectorPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFontSelector,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFontDialogPtr(FXDialogBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def setFontSelection(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontDialog_setFontSelection,(self,) + _args, _kwargs)
        return val
    def getFontSelection(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontDialog_getFontSelection,(self,) + _args, _kwargs)
        if val: val = FXFontDescPtr(val) ; val.thisown = 1
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFontDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFontDialog(self)
    def __repr__(self):
        return "<C FXFontDialog instance at %s>" % (self.this,)
class FXFontDialog(FXFontDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFontDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXDirSelectorPtr(FXPackerPtr):
    ID_DIRNAME = dialogsc.FXDirSelector_ID_DIRNAME
    ID_DIRLIST = dialogsc.FXDirSelector_ID_DIRLIST
    ID_LAST = dialogsc.FXDirSelector_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_onCmdName,(self,) + _args, _kwargs)
        return val
    def onCmdOpened(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_onCmdOpened,(self,) + _args, _kwargs)
        return val
    def acceptButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_acceptButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def cancelButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_cancelButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_getDirectory,(self,) + _args, _kwargs)
        return val
    def setDirBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_setDirBoxStyle,(self,) + _args, _kwargs)
        return val
    def getDirBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirSelector_getDirBoxStyle,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXDirSelector(self)
    def __repr__(self):
        return "<C FXDirSelector instance at %s>" % (self.this,)
class FXDirSelector(FXDirSelectorPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXDirSelector,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXDirDialogPtr(FXDialogBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirDialog_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirDialog_getDirectory,(self,) + _args, _kwargs)
        return val
    def setDirBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirDialog_setDirBoxStyle,(self,) + _args, _kwargs)
        return val
    def getDirBoxStyle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXDirDialog_getDirBoxStyle,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXDirDialog(self)
    def __repr__(self):
        return "<C FXDirDialog instance at %s>" % (self.this,)
class FXDirDialog(FXDirDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXDirDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXPrintDialogPtr(FXDialogBoxPtr):
    ID_TO_PRINTER = dialogsc.FXPrintDialog_ID_TO_PRINTER
    ID_TO_FILE = dialogsc.FXPrintDialog_ID_TO_FILE
    ID_PRINTER_NAME = dialogsc.FXPrintDialog_ID_PRINTER_NAME
    ID_FILE_NAME = dialogsc.FXPrintDialog_ID_FILE_NAME
    ID_LANDSCAPE = dialogsc.FXPrintDialog_ID_LANDSCAPE
    ID_PORTRAIT = dialogsc.FXPrintDialog_ID_PORTRAIT
    ID_SIZE_CUSTOM = dialogsc.FXPrintDialog_ID_SIZE_CUSTOM
    ID_SIZE_LETTER = dialogsc.FXPrintDialog_ID_SIZE_LETTER
    ID_SIZE_LEGAL = dialogsc.FXPrintDialog_ID_SIZE_LEGAL
    ID_SIZE_A4 = dialogsc.FXPrintDialog_ID_SIZE_A4
    ID_SIZE_ENVELOPE = dialogsc.FXPrintDialog_ID_SIZE_ENVELOPE
    ID_SIZE_WIDTH = dialogsc.FXPrintDialog_ID_SIZE_WIDTH
    ID_SIZE_HEIGHT = dialogsc.FXPrintDialog_ID_SIZE_HEIGHT
    ID_COLLATE_NORMAL = dialogsc.FXPrintDialog_ID_COLLATE_NORMAL
    ID_COLLATE_REVERSED = dialogsc.FXPrintDialog_ID_COLLATE_REVERSED
    ID_PAGES_ALL = dialogsc.FXPrintDialog_ID_PAGES_ALL
    ID_PAGES_EVEN = dialogsc.FXPrintDialog_ID_PAGES_EVEN
    ID_PAGES_ODD = dialogsc.FXPrintDialog_ID_PAGES_ODD
    ID_PAGES_RANGE = dialogsc.FXPrintDialog_ID_PAGES_RANGE
    ID_PAGES_FIRST = dialogsc.FXPrintDialog_ID_PAGES_FIRST
    ID_PAGES_LAST = dialogsc.FXPrintDialog_ID_PAGES_LAST
    ID_BROWSE_FILE = dialogsc.FXPrintDialog_ID_BROWSE_FILE
    ID_PROPERTIES = dialogsc.FXPrintDialog_ID_PROPERTIES
    ID_COLOR_PRINTER = dialogsc.FXPrintDialog_ID_COLOR_PRINTER
    ID_GRAY_PRINTER = dialogsc.FXPrintDialog_ID_GRAY_PRINTER
    ID_NUM_COPIES = dialogsc.FXPrintDialog_ID_NUM_COPIES
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdToPrinter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdToPrinter,(self,) + _args, _kwargs)
        return val
    def onUpdToPrinter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdToPrinter,(self,) + _args, _kwargs)
        return val
    def onCmdToFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdToFile,(self,) + _args, _kwargs)
        return val
    def onUpdToFile(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdToFile,(self,) + _args, _kwargs)
        return val
    def onCmdBrowse(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdBrowse,(self,) + _args, _kwargs)
        return val
    def onUpdBrowse(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdBrowse,(self,) + _args, _kwargs)
        return val
    def onCmdProps(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdProps,(self,) + _args, _kwargs)
        return val
    def onUpdProps(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdProps,(self,) + _args, _kwargs)
        return val
    def onCmdPortrait(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdPortrait,(self,) + _args, _kwargs)
        return val
    def onUpdPortrait(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdPortrait,(self,) + _args, _kwargs)
        return val
    def onCmdLandscape(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdLandscape,(self,) + _args, _kwargs)
        return val
    def onUpdLandscape(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdLandscape,(self,) + _args, _kwargs)
        return val
    def onCmdPages(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdPages,(self,) + _args, _kwargs)
        return val
    def onUpdPages(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdPages,(self,) + _args, _kwargs)
        return val
    def onCmdColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdColor,(self,) + _args, _kwargs)
        return val
    def onUpdColor(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdColor,(self,) + _args, _kwargs)
        return val
    def onCmdGray(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdGray,(self,) + _args, _kwargs)
        return val
    def onUpdGray(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdGray,(self,) + _args, _kwargs)
        return val
    def onCmdNumCopies(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdNumCopies,(self,) + _args, _kwargs)
        return val
    def onUpdNumCopies(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdNumCopies,(self,) + _args, _kwargs)
        return val
    def onCmdFirstPage(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdFirstPage,(self,) + _args, _kwargs)
        return val
    def onUpdFirstPage(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdFirstPage,(self,) + _args, _kwargs)
        return val
    def onCmdLastPage(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdLastPage,(self,) + _args, _kwargs)
        return val
    def onUpdLastPage(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdLastPage,(self,) + _args, _kwargs)
        return val
    def onCmdCollateNormal(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdCollateNormal,(self,) + _args, _kwargs)
        return val
    def onUpdCollateNormal(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdCollateNormal,(self,) + _args, _kwargs)
        return val
    def onCmdCollateReversed(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdCollateReversed,(self,) + _args, _kwargs)
        return val
    def onUpdCollateReversed(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdCollateReversed,(self,) + _args, _kwargs)
        return val
    def onCmdMedia(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdMedia,(self,) + _args, _kwargs)
        return val
    def onUpdMedia(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdMedia,(self,) + _args, _kwargs)
        return val
    def onCmdMediaWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdMediaWidth,(self,) + _args, _kwargs)
        return val
    def onUpdMediaWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdMediaWidth,(self,) + _args, _kwargs)
        return val
    def onCmdMediaHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdMediaHeight,(self,) + _args, _kwargs)
        return val
    def onUpdMediaHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdMediaHeight,(self,) + _args, _kwargs)
        return val
    def onCmdFileName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdFileName,(self,) + _args, _kwargs)
        return val
    def onUpdFileName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdFileName,(self,) + _args, _kwargs)
        return val
    def onCmdPrinterName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onCmdPrinterName,(self,) + _args, _kwargs)
        return val
    def onUpdPrinterName(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onUpdPrinterName,(self,) + _args, _kwargs)
        return val
    def setPrinter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_setPrinter,(self,) + _args, _kwargs)
        return val
    def getPrinter(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_getPrinter,(self,) + _args, _kwargs)
        if val: val = FXPrinterPtr(val) ; val.thisown = 1
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXPrintDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXPrintDialog(self)
    def __repr__(self):
        return "<C FXPrintDialog instance at %s>" % (self.this,)
class FXPrintDialog(FXPrintDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXPrintDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXMessageBoxPtr(FXDialogBoxPtr):
    ID_CLICKED_YES = dialogsc.FXMessageBox_ID_CLICKED_YES
    ID_CLICKED_NO = dialogsc.FXMessageBox_ID_CLICKED_NO
    ID_CLICKED_OK = dialogsc.FXMessageBox_ID_CLICKED_OK
    ID_CLICKED_CANCEL = dialogsc.FXMessageBox_ID_CLICKED_CANCEL
    ID_CLICKED_QUIT = dialogsc.FXMessageBox_ID_CLICKED_QUIT
    ID_CLICKED_SAVE = dialogsc.FXMessageBox_ID_CLICKED_SAVE
    ID_LAST = dialogsc.FXMessageBox_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onCmdClicked(self, *_args, **_kwargs):
        val = apply(dialogsc.FXMessageBox_onCmdClicked,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXMessageBox_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXMessageBox_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXMessageBox(self)
    def __repr__(self):
        return "<C FXMessageBox instance at %s>" % (self.this,)
class FXMessageBox(FXMessageBoxPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXMessageBox,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXFileAssocPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileAssoc(self)
    def __setattr__(self,name,value):
        if name == "command" :
            dialogsc.FXFileAssoc_command_set(self,value)
            return
        if name == "extension" :
            dialogsc.FXFileAssoc_extension_set(self,value)
            return
        if name == "mimetype" :
            dialogsc.FXFileAssoc_mimetype_set(self,value)
            return
        if name == "bigicon" :
            dialogsc.FXFileAssoc_bigicon_set(self,value.this)
            return
        if name == "bigiconopen" :
            dialogsc.FXFileAssoc_bigiconopen_set(self,value.this)
            return
        if name == "miniicon" :
            dialogsc.FXFileAssoc_miniicon_set(self,value.this)
            return
        if name == "miniiconopen" :
            dialogsc.FXFileAssoc_miniiconopen_set(self,value.this)
            return
        if name == "dragtype" :
            dialogsc.FXFileAssoc_dragtype_set(self,value)
            return
        if name == "flags" :
            dialogsc.FXFileAssoc_flags_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "command" : 
            return dialogsc.FXFileAssoc_command_get(self)
        if name == "extension" : 
            return dialogsc.FXFileAssoc_extension_get(self)
        if name == "mimetype" : 
            return dialogsc.FXFileAssoc_mimetype_get(self)
        if name == "bigicon" : 
            return FXIconPtr(dialogsc.FXFileAssoc_bigicon_get(self))
        if name == "bigiconopen" : 
            return FXIconPtr(dialogsc.FXFileAssoc_bigiconopen_get(self))
        if name == "miniicon" : 
            return FXIconPtr(dialogsc.FXFileAssoc_miniicon_get(self))
        if name == "miniiconopen" : 
            return FXIconPtr(dialogsc.FXFileAssoc_miniiconopen_get(self))
        if name == "dragtype" : 
            return dialogsc.FXFileAssoc_dragtype_get(self)
        if name == "flags" : 
            return dialogsc.FXFileAssoc_flags_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXFileAssoc instance at %s>" % (self.this,)
class FXFileAssoc(FXFileAssocPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileAssoc,_args,_kwargs)
        self.thisown = 1




class FXIconDictPtr(FXDictPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getApp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_getApp,(self,) + _args, _kwargs)
        if val: val = FXAppPtr(val) 
        return val
    def insert(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_insert,(self,) + _args, _kwargs)
        if val: val = FXIconPtr(val) 
        return val
    def remove(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_remove,(self,) + _args, _kwargs)
        if val: val = FXIconPtr(val) 
        return val
    def find(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_find,(self,) + _args, _kwargs)
        if val: val = FXIconPtr(val) 
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXIconDict_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXIconDict(self)
    def __repr__(self):
        return "<C FXIconDict instance at %s>" % (self.this,)
class FXIconDict(FXIconDictPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXIconDict,_args,_kwargs)
        self.thisown = 1




class FXFileDictPtr(FXDictPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getApp(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_getApp,(self,) + _args, _kwargs)
        if val: val = FXAppPtr(val) 
        return val
    def replace(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_replace,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def remove(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_remove,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def find(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_find,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def associate(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_associate,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def findFileBinding(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_findFileBinding,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def findDirBinding(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_findDirBinding,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def findExecBinding(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_findExecBinding,(self,) + _args, _kwargs)
        if val: val = FXFileAssocPtr(val) 
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXFileDict_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXFileDict(self)
    def __repr__(self):
        return "<C FXFileDict instance at %s>" % (self.this,)
class FXFileDict(FXFileDictPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXFileDict,_args,_kwargs)
        self.thisown = 1




class FXReplaceDialogPtr(FXDialogBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def setSearchText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_setSearchText,(self,) + _args, _kwargs)
        return val
    def getSearchText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getSearchText,(self,) + _args, _kwargs)
        return val
    def setReplaceText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_setReplaceText,(self,) + _args, _kwargs)
        return val
    def getReplaceText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getReplaceText,(self,) + _args, _kwargs)
        return val
    def setSearchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_setSearchMode,(self,) + _args, _kwargs)
        return val
    def getSearchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getSearchMode,(self,) + _args, _kwargs)
        return val
    def setSearchDir(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_setSearchDir,(self,) + _args, _kwargs)
        return val
    def getSearchDir(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getSearchDir,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXReplaceDialog_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXReplaceDialog(self)
    def __repr__(self):
        return "<C FXReplaceDialog instance at %s>" % (self.this,)
class FXReplaceDialog(FXReplaceDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXReplaceDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXSearchDialogPtr(FXDialogBoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getNextButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getNextButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def getLastButton(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getLastButton,(self,) + _args, _kwargs)
        if val: val = FXButtonPtr(val) 
        return val
    def setSearchText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_setSearchText,(self,) + _args, _kwargs)
        return val
    def getSearchText(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getSearchText,(self,) + _args, _kwargs)
        return val
    def setSearchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_setSearchMode,(self,) + _args, _kwargs)
        return val
    def getSearchMode(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getSearchMode,(self,) + _args, _kwargs)
        return val
    def setSearchDir(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_setSearchDir,(self,) + _args, _kwargs)
        return val
    def getSearchDir(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getSearchDir,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(dialogsc.FXSearchDialog_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,dialogsc=dialogsc):
        if self.thisown == 1 :
            dialogsc.delete_FXSearchDialog(self)
    def __repr__(self):
        return "<C FXSearchDialog instance at %s>" % (self.this,)
class FXSearchDialog(FXSearchDialogPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dialogsc.new_FXSearchDialog,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)






#-------------- FUNCTION WRAPPERS ------------------

showModalErrorBox = dialogsc.showModalErrorBox

showModalWarningBox = dialogsc.showModalWarningBox

showModalQuestionBox = dialogsc.showModalQuestionBox

showModalInformationBox = dialogsc.showModalInformationBox



#-------------- VARIABLE WRAPPERS ------------------

FILELIST_SHOWHIDDEN = dialogsc.FILELIST_SHOWHIDDEN
FILELIST_SHOWDIRS = dialogsc.FILELIST_SHOWDIRS
FILELIST_NO_OWN_ASSOC = dialogsc.FILELIST_NO_OWN_ASSOC
MBOX_OK = dialogsc.MBOX_OK
MBOX_OK_CANCEL = dialogsc.MBOX_OK_CANCEL
MBOX_YES_NO = dialogsc.MBOX_YES_NO
MBOX_YES_NO_CANCEL = dialogsc.MBOX_YES_NO_CANCEL
MBOX_QUIT_CANCEL = dialogsc.MBOX_QUIT_CANCEL
MBOX_QUIT_SAVE_CANCEL = dialogsc.MBOX_QUIT_SAVE_CANCEL
MBOX_CLICKED_YES = dialogsc.MBOX_CLICKED_YES
MBOX_CLICKED_NO = dialogsc.MBOX_CLICKED_NO
MBOX_CLICKED_OK = dialogsc.MBOX_CLICKED_OK
MBOX_CLICKED_CANCEL = dialogsc.MBOX_CLICKED_CANCEL
MBOX_CLICKED_QUIT = dialogsc.MBOX_CLICKED_QUIT
MBOX_CLICKED_SAVE = dialogsc.MBOX_CLICKED_SAVE
SEARCHMODE_EXACT = dialogsc.SEARCHMODE_EXACT
SEARCHMODE_IGNORECASE = dialogsc.SEARCHMODE_IGNORECASE
SEARCHMODE_REGEX = dialogsc.SEARCHMODE_REGEX
