# This file was created automatically by SWIG.
import dirlistc

from misc import *

from windows import *

from containers import *

from treelist import *
import fox
class FXDirItemPtr(FXTreeItemPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def isDirectory(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isDirectory,(self,) + _args, _kwargs)
        return val
    def isExecutable(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isExecutable,(self,) + _args, _kwargs)
        return val
    def isSymlink(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isSymlink,(self,) + _args, _kwargs)
        return val
    def isChardev(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isChardev,(self,) + _args, _kwargs)
        return val
    def isBlockdev(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isBlockdev,(self,) + _args, _kwargs)
        return val
    def isFifo(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isFifo,(self,) + _args, _kwargs)
        return val
    def isSocket(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_isSocket,(self,) + _args, _kwargs)
        return val
    def getAssoc(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_getAssoc,(self,) + _args, _kwargs)
        return val
    def getSize(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_getSize,(self,) + _args, _kwargs)
        return val
    def getDate(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_getDate,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_onDefault,(self,) + _args, _kwargs)
        return val
    def setText(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setText,(self,) + _args, _kwargs)
        return val
    def setOpenIcon(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setOpenIcon,(self,) + _args, _kwargs)
        return val
    def setClosedIcon(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setClosedIcon,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setFocus,(self,) + _args, _kwargs)
        return val
    def setSelected(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setSelected,(self,) + _args, _kwargs)
        return val
    def setOpened(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setOpened,(self,) + _args, _kwargs)
        return val
    def setExpanded(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setExpanded,(self,) + _args, _kwargs)
        return val
    def setEnabled(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setEnabled,(self,) + _args, _kwargs)
        return val
    def setDraggable(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setDraggable,(self,) + _args, _kwargs)
        return val
    def setMarked(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_setMarked,(self,) + _args, _kwargs)
        return val
    def getWidth(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_getWidth,(self,) + _args, _kwargs)
        return val
    def getHeight(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_getHeight,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirItem_destroy,(self,) + _args, _kwargs)
        return val
    def __del__(self,dirlistc=dirlistc):
        if self.thisown == 1 :
            dirlistc.delete_FXDirItem(self)
    def __repr__(self):
        return "<C FXDirItem instance at %s>" % (self.this,)
class FXDirItem(FXDirItemPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dirlistc.new_FXDirItem,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXDirListPtr(FXTreeListPtr):
    ID_REFRESH = dirlistc.FXDirList_ID_REFRESH
    ID_SHOW_FILES = dirlistc.FXDirList_ID_SHOW_FILES
    ID_HIDE_FILES = dirlistc.FXDirList_ID_HIDE_FILES
    ID_TOGGLE_FILES = dirlistc.FXDirList_ID_TOGGLE_FILES
    ID_SHOW_HIDDEN = dirlistc.FXDirList_ID_SHOW_HIDDEN
    ID_HIDE_HIDDEN = dirlistc.FXDirList_ID_HIDE_HIDDEN
    ID_TOGGLE_HIDDEN = dirlistc.FXDirList_ID_TOGGLE_HIDDEN
    ID_SET_PATTERN = dirlistc.FXDirList_ID_SET_PATTERN
    ID_SORT_REVERSE = dirlistc.FXDirList_ID_SORT_REVERSE
    ID_LAST = dirlistc.FXDirList_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onRefresh(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onRefresh,(self,) + _args, _kwargs)
        return val
    def onBeginDrag(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onBeginDrag,(self,) + _args, _kwargs)
        return val
    def onEndDrag(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onEndDrag,(self,) + _args, _kwargs)
        return val
    def onDragged(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDragged,(self,) + _args, _kwargs)
        return val
    def onDNDEnter(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDNDEnter,(self,) + _args, _kwargs)
        return val
    def onDNDLeave(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDNDLeave,(self,) + _args, _kwargs)
        return val
    def onDNDMotion(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDNDMotion,(self,) + _args, _kwargs)
        return val
    def onDNDDrop(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDNDDrop,(self,) + _args, _kwargs)
        return val
    def onDNDRequest(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDNDRequest,(self,) + _args, _kwargs)
        return val
    def onSelectionRequest(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onSelectionRequest,(self,) + _args, _kwargs)
        return val
    def onItemOpened(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onItemOpened,(self,) + _args, _kwargs)
        return val
    def onItemClosed(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onItemClosed,(self,) + _args, _kwargs)
        return val
    def onItemExpanded(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onItemExpanded,(self,) + _args, _kwargs)
        return val
    def onItemCollapsed(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onItemCollapsed,(self,) + _args, _kwargs)
        return val
    def onCmdSetValue(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdSetValue,(self,) + _args, _kwargs)
        return val
    def onCmdSetStringValue(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdSetStringValue,(self,) + _args, _kwargs)
        return val
    def onCmdGetStringValue(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdGetStringValue,(self,) + _args, _kwargs)
        return val
    def onCmdToggleHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdToggleHidden,(self,) + _args, _kwargs)
        return val
    def onUpdToggleHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdToggleHidden,(self,) + _args, _kwargs)
        return val
    def onCmdShowHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdShowHidden,(self,) + _args, _kwargs)
        return val
    def onUpdShowHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdShowHidden,(self,) + _args, _kwargs)
        return val
    def onCmdHideHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdHideHidden,(self,) + _args, _kwargs)
        return val
    def onUpdHideHidden(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdHideHidden,(self,) + _args, _kwargs)
        return val
    def onCmdToggleFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdToggleFiles,(self,) + _args, _kwargs)
        return val
    def onUpdToggleFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdToggleFiles,(self,) + _args, _kwargs)
        return val
    def onCmdShowFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdShowFiles,(self,) + _args, _kwargs)
        return val
    def onUpdShowFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdShowFiles,(self,) + _args, _kwargs)
        return val
    def onCmdHideFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdHideFiles,(self,) + _args, _kwargs)
        return val
    def onUpdHideFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdHideFiles,(self,) + _args, _kwargs)
        return val
    def onCmdSetPattern(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdSetPattern,(self,) + _args, _kwargs)
        return val
    def onUpdSetPattern(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdSetPattern,(self,) + _args, _kwargs)
        return val
    def onCmdSortReverse(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onCmdSortReverse,(self,) + _args, _kwargs)
        return val
    def onUpdSortReverse(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onUpdSortReverse,(self,) + _args, _kwargs)
        return val
    def isItemDirectory(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_isItemDirectory,(self,) + _args, _kwargs)
        return val
    def isItemFile(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_isItemFile,(self,) + _args, _kwargs)
        return val
    def isItemExecutable(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_isItemExecutable,(self,) + _args, _kwargs)
        return val
    def setCurrentFile(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setCurrentFile,(self,) + _args, _kwargs)
        return val
    def getCurrentFile(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getCurrentFile,(self,) + _args, _kwargs)
        return val
    def setDirectory(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setDirectory,(self,) + _args, _kwargs)
        return val
    def getDirectory(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getDirectory,(self,) + _args, _kwargs)
        return val
    def getItemFilename(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getItemFilename,(self,) + _args, _kwargs)
        return val
    def getItemPathname(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getItemPathname,(self,) + _args, _kwargs)
        return val
    def setPattern(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setPattern,(self,) + _args, _kwargs)
        return val
    def getPattern(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getPattern,(self,) + _args, _kwargs)
        return val
    def getMatchMode(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getMatchMode,(self,) + _args, _kwargs)
        return val
    def setMatchMode(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setMatchMode,(self,) + _args, _kwargs)
        return val
    def getShowFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getShowFiles,(self,) + _args, _kwargs)
        return val
    def setShowFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setShowFiles,(self,) + _args, _kwargs)
        return val
    def getShowHiddenFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getShowHiddenFiles,(self,) + _args, _kwargs)
        return val
    def setShowHiddenFiles(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setShowHiddenFiles,(self,) + _args, _kwargs)
        return val
    def setAssociations(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_setAssociations,(self,) + _args, _kwargs)
        return val
    def getAssociations(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_getAssociations,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(dirlistc.FXDirList_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,dirlistc=dirlistc):
        if self.thisown == 1 :
            dirlistc.delete_FXDirList(self)
    def __repr__(self):
        return "<C FXDirList instance at %s>" % (self.this,)
class FXDirList(FXDirListPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(dirlistc.new_FXDirList,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)






#-------------- FUNCTION WRAPPERS ------------------

FXDirList_cmpFName = dirlistc.FXDirList_cmpFName

FXDirList_cmpRName = dirlistc.FXDirList_cmpRName



#-------------- VARIABLE WRAPPERS ------------------

DIRLIST_SHOWFILES = dirlistc.DIRLIST_SHOWFILES
DIRLIST_SHOWHIDDEN = dirlistc.DIRLIST_SHOWHIDDEN
DIRLIST_NO_OWN_ASSOC = dirlistc.DIRLIST_NO_OWN_ASSOC
