# This file was created automatically by SWIG.
import fox3dc

from misc import *

from windows import *

from containers import *
import fox
class FXGLContextPtr(FXObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def isShared(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_isShared,(self,) + _args, _kwargs)
        return val
    def getVisual(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_getVisual,(self,) + _args, _kwargs)
        if val: val = FXGLVisualPtr(val) 
        return val
    def create(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_destroy,(self,) + _args, _kwargs)
        return val
    def begin(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_begin,(self,) + _args, _kwargs)
        return val
    def end(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_end,(self,) + _args, _kwargs)
        return val
    def swapBuffers(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_swapBuffers,(self,) + _args, _kwargs)
        return val
    def swapSubBuffers(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_swapSubBuffers,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLContext_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLContext(self)
    def __repr__(self):
        return "<C FXGLContext instance at %s>" % (self.this,)
class FXGLContext(FXGLContextPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLContext,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLVisualPtr(FXVisualPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getRedSize,(self,) + _args, _kwargs)
        return val
    def getGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getGreenSize,(self,) + _args, _kwargs)
        return val
    def getBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getBlueSize,(self,) + _args, _kwargs)
        return val
    def getAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getAlphaSize,(self,) + _args, _kwargs)
        return val
    def getDepthSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getDepthSize,(self,) + _args, _kwargs)
        return val
    def getStencilSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getStencilSize,(self,) + _args, _kwargs)
        return val
    def getAccumRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getAccumRedSize,(self,) + _args, _kwargs)
        return val
    def getAccumGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getAccumGreenSize,(self,) + _args, _kwargs)
        return val
    def getAccumBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getAccumBlueSize,(self,) + _args, _kwargs)
        return val
    def getAccumAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getAccumAlphaSize,(self,) + _args, _kwargs)
        return val
    def setRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setRedSize,(self,) + _args, _kwargs)
        return val
    def setGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setGreenSize,(self,) + _args, _kwargs)
        return val
    def setBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setBlueSize,(self,) + _args, _kwargs)
        return val
    def setAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setAlphaSize,(self,) + _args, _kwargs)
        return val
    def setDepthSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setDepthSize,(self,) + _args, _kwargs)
        return val
    def setStencilSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setStencilSize,(self,) + _args, _kwargs)
        return val
    def setAccumRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setAccumRedSize,(self,) + _args, _kwargs)
        return val
    def setAccumGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setAccumGreenSize,(self,) + _args, _kwargs)
        return val
    def setAccumBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setAccumBlueSize,(self,) + _args, _kwargs)
        return val
    def setAccumAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_setAccumAlphaSize,(self,) + _args, _kwargs)
        return val
    def getActualRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualRedSize,(self,) + _args, _kwargs)
        return val
    def getActualGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualGreenSize,(self,) + _args, _kwargs)
        return val
    def getActualBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualBlueSize,(self,) + _args, _kwargs)
        return val
    def getActualAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualAlphaSize,(self,) + _args, _kwargs)
        return val
    def getActualDepthSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualDepthSize,(self,) + _args, _kwargs)
        return val
    def getActualStencilSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualStencilSize,(self,) + _args, _kwargs)
        return val
    def getActualAccumRedSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualAccumRedSize,(self,) + _args, _kwargs)
        return val
    def getActualAccumGreenSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualAccumGreenSize,(self,) + _args, _kwargs)
        return val
    def getActualAccumBlueSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualAccumBlueSize,(self,) + _args, _kwargs)
        return val
    def getActualAccumAlphaSize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_getActualAccumAlphaSize,(self,) + _args, _kwargs)
        return val
    def isDoubleBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_isDoubleBuffer,(self,) + _args, _kwargs)
        return val
    def isStereo(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_isStereo,(self,) + _args, _kwargs)
        return val
    def isAccelerated(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_isAccelerated,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_destroy,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLVisual_onDefault,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLVisual(self)
    def __repr__(self):
        return "<C FXGLVisual instance at %s>" % (self.this,)
class FXGLVisual(FXGLVisualPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLVisual,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLCanvasPtr(FXCanvasPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def isShared(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_isShared,(self,) + _args, _kwargs)
        return val
    def makeCurrent(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_makeCurrent,(self,) + _args, _kwargs)
        return val
    def makeNonCurrent(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_makeNonCurrent,(self,) + _args, _kwargs)
        return val
    def swapBuffers(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_swapBuffers,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCanvas_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLCanvas(self)
    def __repr__(self):
        return "<C FXGLCanvas instance at %s>" % (self.this,)
class FXGLCanvas(FXGLCanvasPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLCanvas,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXViewportPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXViewport(self)
    def __setattr__(self,name,value):
        if name == "w" :
            fox3dc.FXViewport_w_set(self,value)
            return
        if name == "h" :
            fox3dc.FXViewport_h_set(self,value)
            return
        if name == "left" :
            fox3dc.FXViewport_left_set(self,value)
            return
        if name == "right" :
            fox3dc.FXViewport_right_set(self,value)
            return
        if name == "bottom" :
            fox3dc.FXViewport_bottom_set(self,value)
            return
        if name == "top" :
            fox3dc.FXViewport_top_set(self,value)
            return
        if name == "hither" :
            fox3dc.FXViewport_hither_set(self,value)
            return
        if name == "yon" :
            fox3dc.FXViewport_yon_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "w" : 
            return fox3dc.FXViewport_w_get(self)
        if name == "h" : 
            return fox3dc.FXViewport_h_get(self)
        if name == "left" : 
            return fox3dc.FXViewport_left_get(self)
        if name == "right" : 
            return fox3dc.FXViewport_right_get(self)
        if name == "bottom" : 
            return fox3dc.FXViewport_bottom_get(self)
        if name == "top" : 
            return fox3dc.FXViewport_top_get(self)
        if name == "hither" : 
            return fox3dc.FXViewport_hither_get(self)
        if name == "yon" : 
            return fox3dc.FXViewport_yon_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXViewport instance at %s>" % (self.this,)
class FXViewport(FXViewportPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXViewport,_args,_kwargs)
        self.thisown = 1




class FXLightPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXLight(self)
    def __setattr__(self,name,value):
        if name == "ambient" :
            fox3dc.FXLight_ambient_set(self,value)
            return
        if name == "diffuse" :
            fox3dc.FXLight_diffuse_set(self,value)
            return
        if name == "specular" :
            fox3dc.FXLight_specular_set(self,value)
            return
        if name == "position" :
            fox3dc.FXLight_position_set(self,value)
            return
        if name == "direction" :
            fox3dc.FXLight_direction_set(self,value)
            return
        if name == "exponent" :
            fox3dc.FXLight_exponent_set(self,value)
            return
        if name == "cutoff" :
            fox3dc.FXLight_cutoff_set(self,value)
            return
        if name == "c_attn" :
            fox3dc.FXLight_c_attn_set(self,value)
            return
        if name == "l_attn" :
            fox3dc.FXLight_l_attn_set(self,value)
            return
        if name == "q_attn" :
            fox3dc.FXLight_q_attn_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "ambient" : 
            return fox3dc.FXLight_ambient_get(self)
        if name == "diffuse" : 
            return fox3dc.FXLight_diffuse_get(self)
        if name == "specular" : 
            return fox3dc.FXLight_specular_get(self)
        if name == "position" : 
            return fox3dc.FXLight_position_get(self)
        if name == "direction" : 
            return fox3dc.FXLight_direction_get(self)
        if name == "exponent" : 
            return fox3dc.FXLight_exponent_get(self)
        if name == "cutoff" : 
            return fox3dc.FXLight_cutoff_get(self)
        if name == "c_attn" : 
            return fox3dc.FXLight_c_attn_get(self)
        if name == "l_attn" : 
            return fox3dc.FXLight_l_attn_get(self)
        if name == "q_attn" : 
            return fox3dc.FXLight_q_attn_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXLight instance at %s>" % (self.this,)
class FXLight(FXLightPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXLight,_args,_kwargs)
        self.thisown = 1




class FXMaterialPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXMaterial(self)
    def __setattr__(self,name,value):
        if name == "ambient" :
            fox3dc.FXMaterial_ambient_set(self,value)
            return
        if name == "diffuse" :
            fox3dc.FXMaterial_diffuse_set(self,value)
            return
        if name == "specular" :
            fox3dc.FXMaterial_specular_set(self,value)
            return
        if name == "emission" :
            fox3dc.FXMaterial_emission_set(self,value)
            return
        if name == "shininess" :
            fox3dc.FXMaterial_shininess_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "ambient" : 
            return fox3dc.FXMaterial_ambient_get(self)
        if name == "diffuse" : 
            return fox3dc.FXMaterial_diffuse_get(self)
        if name == "specular" : 
            return fox3dc.FXMaterial_specular_get(self)
        if name == "emission" : 
            return fox3dc.FXMaterial_emission_get(self)
        if name == "shininess" : 
            return fox3dc.FXMaterial_shininess_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXMaterial instance at %s>" % (self.this,)
class FXMaterial(FXMaterialPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXMaterial,_args,_kwargs)
        self.thisown = 1




class FXGLViewerPtr(FXGLCanvasPtr):
    PARALLEL = fox3dc.FXGLViewer_PARALLEL
    PERSPECTIVE = fox3dc.FXGLViewer_PERSPECTIVE
    OFFSETPROJECTION = fox3dc.FXGLViewer_OFFSETPROJECTION
    SURFACEPROJECTION = fox3dc.FXGLViewer_SURFACEPROJECTION
    ID_PERSPECTIVE = fox3dc.FXGLViewer_ID_PERSPECTIVE
    ID_PARALLEL = fox3dc.FXGLViewer_ID_PARALLEL
    ID_FRONT = fox3dc.FXGLViewer_ID_FRONT
    ID_BACK = fox3dc.FXGLViewer_ID_BACK
    ID_LEFT = fox3dc.FXGLViewer_ID_LEFT
    ID_RIGHT = fox3dc.FXGLViewer_ID_RIGHT
    ID_TOP = fox3dc.FXGLViewer_ID_TOP
    ID_BOTTOM = fox3dc.FXGLViewer_ID_BOTTOM
    ID_RESETVIEW = fox3dc.FXGLViewer_ID_RESETVIEW
    ID_FITVIEW = fox3dc.FXGLViewer_ID_FITVIEW
    ID_TIPTIMER = fox3dc.FXGLViewer_ID_TIPTIMER
    ID_BACK_COLOR = fox3dc.FXGLViewer_ID_BACK_COLOR
    ID_AMBIENT_COLOR = fox3dc.FXGLViewer_ID_AMBIENT_COLOR
    ID_LIGHT_AMBIENT = fox3dc.FXGLViewer_ID_LIGHT_AMBIENT
    ID_LIGHT_DIFFUSE = fox3dc.FXGLViewer_ID_LIGHT_DIFFUSE
    ID_LIGHT_SPECULAR = fox3dc.FXGLViewer_ID_LIGHT_SPECULAR
    ID_LIGHTING = fox3dc.FXGLViewer_ID_LIGHTING
    ID_TURBO = fox3dc.FXGLViewer_ID_TURBO
    ID_FOG = fox3dc.FXGLViewer_ID_FOG
    ID_DITHER = fox3dc.FXGLViewer_ID_DITHER
    ID_DIAL_X = fox3dc.FXGLViewer_ID_DIAL_X
    ID_DIAL_Y = fox3dc.FXGLViewer_ID_DIAL_Y
    ID_DIAL_Z = fox3dc.FXGLViewer_ID_DIAL_Z
    ID_FOV = fox3dc.FXGLViewer_ID_FOV
    ID_ZOOM = fox3dc.FXGLViewer_ID_ZOOM
    ID_LOCK = fox3dc.FXGLViewer_ID_LOCK
    ID_CUT_SEL = fox3dc.FXGLViewer_ID_CUT_SEL
    ID_COPY_SEL = fox3dc.FXGLViewer_ID_COPY_SEL
    ID_PASTE_SEL = fox3dc.FXGLViewer_ID_PASTE_SEL
    ID_DELETE_SEL = fox3dc.FXGLViewer_ID_DELETE_SEL
    ID_PRINT_IMAGE = fox3dc.FXGLViewer_ID_PRINT_IMAGE
    ID_PRINT_VECTOR = fox3dc.FXGLViewer_ID_PRINT_VECTOR
    ID_LAST = fox3dc.FXGLViewer_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onPaint(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onPaint,(self,) + _args, _kwargs)
        return val
    def onUpdate(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdate,(self,) + _args, _kwargs)
        return val
    def onEnter(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onEnter,(self,) + _args, _kwargs)
        return val
    def onLeave(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onLeave,(self,) + _args, _kwargs)
        return val
    def onMotion(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onMotion,(self,) + _args, _kwargs)
        return val
    def onChanged(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onChanged,(self,) + _args, _kwargs)
        return val
    def onClicked(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onClicked,(self,) + _args, _kwargs)
        return val
    def onDoubleClicked(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDoubleClicked,(self,) + _args, _kwargs)
        return val
    def onTripleClicked(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onTripleClicked,(self,) + _args, _kwargs)
        return val
    def onLassoed(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onLassoed,(self,) + _args, _kwargs)
        return val
    def onSelected(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onSelected,(self,) + _args, _kwargs)
        return val
    def onDeselected(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDeselected,(self,) + _args, _kwargs)
        return val
    def onInserted(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onInserted,(self,) + _args, _kwargs)
        return val
    def onDeleted(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDeleted,(self,) + _args, _kwargs)
        return val
    def onLeftBtnPress(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onLeftBtnPress,(self,) + _args, _kwargs)
        return val
    def onLeftBtnRelease(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onLeftBtnRelease,(self,) + _args, _kwargs)
        return val
    def onMiddleBtnPress(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onMiddleBtnPress,(self,) + _args, _kwargs)
        return val
    def onMiddleBtnRelease(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onMiddleBtnRelease,(self,) + _args, _kwargs)
        return val
    def onRightBtnPress(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onRightBtnPress,(self,) + _args, _kwargs)
        return val
    def onRightBtnRelease(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onRightBtnRelease,(self,) + _args, _kwargs)
        return val
    def onUngrabbed(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUngrabbed,(self,) + _args, _kwargs)
        return val
    def onKeyPress(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onKeyPress,(self,) + _args, _kwargs)
        return val
    def onKeyRelease(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onKeyRelease,(self,) + _args, _kwargs)
        return val
    def onFocusIn(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onFocusIn,(self,) + _args, _kwargs)
        return val
    def onFocusOut(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onFocusOut,(self,) + _args, _kwargs)
        return val
    def onCmdPerspective(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdPerspective,(self,) + _args, _kwargs)
        return val
    def onUpdPerspective(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdPerspective,(self,) + _args, _kwargs)
        return val
    def onCmdParallel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdParallel,(self,) + _args, _kwargs)
        return val
    def onUpdParallel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdParallel,(self,) + _args, _kwargs)
        return val
    def onCmdFront(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdFront,(self,) + _args, _kwargs)
        return val
    def onUpdFront(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdFront,(self,) + _args, _kwargs)
        return val
    def onCmdBack(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdBack,(self,) + _args, _kwargs)
        return val
    def onUpdBack(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdBack,(self,) + _args, _kwargs)
        return val
    def onCmdLeft(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLeft,(self,) + _args, _kwargs)
        return val
    def onUpdLeft(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLeft,(self,) + _args, _kwargs)
        return val
    def onCmdRight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdRight,(self,) + _args, _kwargs)
        return val
    def onUpdRight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdRight,(self,) + _args, _kwargs)
        return val
    def onCmdTop(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdTop,(self,) + _args, _kwargs)
        return val
    def onUpdTop(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdTop,(self,) + _args, _kwargs)
        return val
    def onCmdBottom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdBottom,(self,) + _args, _kwargs)
        return val
    def onUpdBottom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdBottom,(self,) + _args, _kwargs)
        return val
    def onCmdResetView(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdResetView,(self,) + _args, _kwargs)
        return val
    def onCmdFitView(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdFitView,(self,) + _args, _kwargs)
        return val
    def onDNDEnter(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDNDEnter,(self,) + _args, _kwargs)
        return val
    def onDNDLeave(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDNDLeave,(self,) + _args, _kwargs)
        return val
    def onDNDMotion(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDNDMotion,(self,) + _args, _kwargs)
        return val
    def onDNDDrop(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDNDDrop,(self,) + _args, _kwargs)
        return val
    def onTipTimer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onTipTimer,(self,) + _args, _kwargs)
        return val
    def onQueryHelp(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onQueryHelp,(self,) + _args, _kwargs)
        return val
    def onQueryTip(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onQueryTip,(self,) + _args, _kwargs)
        return val
    def onCmdXYZDial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdXYZDial,(self,) + _args, _kwargs)
        return val
    def onUpdXYZDial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdXYZDial,(self,) + _args, _kwargs)
        return val
    def onUpdCurrent(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdCurrent,(self,) + _args, _kwargs)
        return val
    def onCmdCutSel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdCutSel,(self,) + _args, _kwargs)
        return val
    def onCmdCopySel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdCopySel,(self,) + _args, _kwargs)
        return val
    def onCmdPasteSel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdPasteSel,(self,) + _args, _kwargs)
        return val
    def onCmdDeleteSel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdDeleteSel,(self,) + _args, _kwargs)
        return val
    def onUpdDeleteSel(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdDeleteSel,(self,) + _args, _kwargs)
        return val
    def onCmdBackColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdBackColor,(self,) + _args, _kwargs)
        return val
    def onUpdBackColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdBackColor,(self,) + _args, _kwargs)
        return val
    def onCmdAmbientColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdAmbientColor,(self,) + _args, _kwargs)
        return val
    def onUpdAmbientColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdAmbientColor,(self,) + _args, _kwargs)
        return val
    def onCmdLock(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLock,(self,) + _args, _kwargs)
        return val
    def onUpdLock(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLock,(self,) + _args, _kwargs)
        return val
    def onCmdLighting(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLighting,(self,) + _args, _kwargs)
        return val
    def onUpdLighting(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLighting,(self,) + _args, _kwargs)
        return val
    def onCmdFog(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdFog,(self,) + _args, _kwargs)
        return val
    def onUpdFog(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdFog,(self,) + _args, _kwargs)
        return val
    def onCmdDither(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdDither,(self,) + _args, _kwargs)
        return val
    def onUpdDither(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdDither,(self,) + _args, _kwargs)
        return val
    def onCmdFov(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdFov,(self,) + _args, _kwargs)
        return val
    def onUpdFov(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdFov,(self,) + _args, _kwargs)
        return val
    def onCmdZoom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdZoom,(self,) + _args, _kwargs)
        return val
    def onUpdZoom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdZoom,(self,) + _args, _kwargs)
        return val
    def onCmdLightAmbient(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLightAmbient,(self,) + _args, _kwargs)
        return val
    def onUpdLightAmbient(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLightAmbient,(self,) + _args, _kwargs)
        return val
    def onCmdLightDiffuse(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLightDiffuse,(self,) + _args, _kwargs)
        return val
    def onUpdLightDiffuse(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLightDiffuse,(self,) + _args, _kwargs)
        return val
    def onCmdLightSpecular(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdLightSpecular,(self,) + _args, _kwargs)
        return val
    def onUpdLightSpecular(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdLightSpecular,(self,) + _args, _kwargs)
        return val
    def onCmdTurbo(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdTurbo,(self,) + _args, _kwargs)
        return val
    def onUpdTurbo(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onUpdTurbo,(self,) + _args, _kwargs)
        return val
    def onCmdPrintImage(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdPrintImage,(self,) + _args, _kwargs)
        return val
    def onCmdPrintVector(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onCmdPrintVector,(self,) + _args, _kwargs)
        return val
    def worldPix(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_worldPix,(self,) + _args, _kwargs)
        return val
    def modelPix(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_modelPix,(self,) + _args, _kwargs)
        return val
    def lasso(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_lasso,(self,) + _args, _kwargs)
        return val
    def select(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_select,(self,) + _args, _kwargs)
        return val
    def pick(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_pick,(self,) + _args, _kwargs)
        if val: val = FXGLObjectPtr(val) 
        return val
    def setBounds(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setBounds,(self,) + _args, _kwargs)
        return val
    def fitToBounds(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_fitToBounds,(self,) + _args, _kwargs)
        return val
    def getViewport(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getViewport,(self,) + _args, _kwargs)
        if val: val = FXViewportPtr(val) ; val.thisown = 1
        return val
    def eyeToScreen(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_eyeToScreen,(self,) + _args, _kwargs)
        return val
    def screenToEye(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_screenToEye,(self,) + _args, _kwargs)
        return val
    def screenToTarget(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_screenToTarget,(self,) + _args, _kwargs)
        return val
    def worldToEye(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_worldToEye,(self,) + _args, _kwargs)
        return val
    def worldToEyeZ(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_worldToEyeZ,(self,) + _args, _kwargs)
        return val
    def eyeToWorld(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_eyeToWorld,(self,) + _args, _kwargs)
        return val
    def worldVector(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_worldVector,(self,) + _args, _kwargs)
        return val
    def setMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setMaterial,(self,) + _args, _kwargs)
        return val
    def getMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getMaterial,(self,) + _args, _kwargs)
        if val: val = FXMaterialPtr(val) ; val.thisown = 1
        return val
    def setFieldOfView(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setFieldOfView,(self,) + _args, _kwargs)
        return val
    def getFieldOfView(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getFieldOfView,(self,) + _args, _kwargs)
        return val
    def setZoom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setZoom,(self,) + _args, _kwargs)
        return val
    def getZoom(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getZoom,(self,) + _args, _kwargs)
        return val
    def setDistance(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setDistance,(self,) + _args, _kwargs)
        return val
    def getDistance(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getDistance,(self,) + _args, _kwargs)
        return val
    def setOrientation(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setOrientation,(self,) + _args, _kwargs)
        return val
    def getOrientation(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getOrientation,(self,) + _args, _kwargs)
        return val
    def setCenter(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setCenter,(self,) + _args, _kwargs)
        return val
    def getCenter(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getCenter,(self,) + _args, _kwargs)
        return val
    def translate(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_translate,(self,) + _args, _kwargs)
        return val
    def getBoreVector(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getBoreVector,(self,) + _args, _kwargs)
        return val
    def getEyeVector(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getEyeVector,(self,) + _args, _kwargs)
        return val
    def getEyePosition(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getEyePosition,(self,) + _args, _kwargs)
        return val
    def setHelpText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setHelpText,(self,) + _args, _kwargs)
        return val
    def getHelpText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getHelpText,(self,) + _args, _kwargs)
        return val
    def setTipText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setTipText,(self,) + _args, _kwargs)
        return val
    def getTipText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getTipText,(self,) + _args, _kwargs)
        return val
    def getTransform(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getTransform,(self,) + _args, _kwargs)
        return val
    def getInvTransform(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getInvTransform,(self,) + _args, _kwargs)
        return val
    def setScene(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setScene,(self,) + _args, _kwargs)
        return val
    def getScene(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getScene,(self,) + _args, _kwargs)
        if val: val = FXGLObjectPtr(val) 
        return val
    def setSelection(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setSelection,(self,) + _args, _kwargs)
        return val
    def getSelection(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getSelection,(self,) + _args, _kwargs)
        if val: val = FXGLObjectPtr(val) 
        return val
    def setProjection(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setProjection,(self,) + _args, _kwargs)
        return val
    def getProjection(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getProjection,(self,) + _args, _kwargs)
        return val
    def setViewLock(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setViewLock,(self,) + _args, _kwargs)
        return val
    def getViewLock(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getViewLock,(self,) + _args, _kwargs)
        return val
    def setBackgroundColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setBackgroundColor,(self,) + _args, _kwargs)
        return val
    def getBackgroundColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getBackgroundColor,(self,) + _args, _kwargs)
        return val
    def setAmbientColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setAmbientColor,(self,) + _args, _kwargs)
        return val
    def getAmbientColor(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getAmbientColor,(self,) + _args, _kwargs)
        return val
    def readPixels(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_readPixels,(self,) + _args, _kwargs)
        return val
    def readFeedback(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_readFeedback,(self,) + _args, _kwargs)
        return val
    def setMaxHits(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setMaxHits,(self,) + _args, _kwargs)
        return val
    def getMaxHits(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getMaxHits,(self,) + _args, _kwargs)
        return val
    def doesTurbo(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_doesTurbo,(self,) + _args, _kwargs)
        return val
    def getTurboMode(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getTurboMode,(self,) + _args, _kwargs)
        return val
    def setTurboMode(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setTurboMode,(self,) + _args, _kwargs)
        return val
    def setLight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setLight,(self,) + _args, _kwargs)
        return val
    def getLight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getLight,(self,) + _args, _kwargs)
        if val: val = FXLightPtr(val) ; val.thisown = 1
        return val
    def setOffset(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setOffset,(self,) + _args, _kwargs)
        return val
    def getOffset(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getOffset,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLViewer_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLViewer(self)
    def __repr__(self):
        return "<C FXGLViewer instance at %s>" % (self.this,)
class FXGLViewer(FXGLViewerPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLViewer,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLObjectPtr(FXObjectPtr):
    ID_LAST = fox3dc.FXGLObject_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def bounds(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_bounds,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLObject_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLObject(self)
    def __repr__(self):
        return "<C FXGLObject instance at %s>" % (self.this,)
class FXGLObject(FXGLObjectPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLObject,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLGroupPtr(FXGLObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onFocusIn(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_onFocusIn,(self,) + _args, _kwargs)
        return val
    def onFocusOut(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_onFocusOut,(self,) + _args, _kwargs)
        return val
    def getList(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_getList,(self,) + _args, _kwargs)
        return val
    def getCurrent(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_getCurrent,(self,) + _args, _kwargs)
        return val
    def setCurrent(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_setCurrent,(self,) + _args, _kwargs)
        return val
    def no(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_no,(self,) + _args, _kwargs)
        return val
    def insert(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_insert,(self,) + _args, _kwargs)
        return val
    def append(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_append,(self,) + _args, _kwargs)
        return val
    def remove(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_remove,(self,) + _args, _kwargs)
        return val
    def clear(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_clear,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLGroup_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLGroup(self)
    def __repr__(self):
        return "<C FXGLGroup instance at %s>" % (self.this,)
class FXGLGroup(FXGLGroupPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLGroup,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLShapePtr(FXGLObjectPtr):
    ID_SHADEOFF = fox3dc.FXGLShape_ID_SHADEOFF
    ID_SHADEON = fox3dc.FXGLShape_ID_SHADEON
    ID_SHADESMOOTH = fox3dc.FXGLShape_ID_SHADESMOOTH
    ID_TOGGLE_SIDED = fox3dc.FXGLShape_ID_TOGGLE_SIDED
    ID_TOGGLE_CULLING = fox3dc.FXGLShape_ID_TOGGLE_CULLING
    ID_STYLE_POINTS = fox3dc.FXGLShape_ID_STYLE_POINTS
    ID_STYLE_WIREFRAME = fox3dc.FXGLShape_ID_STYLE_WIREFRAME
    ID_STYLE_SURFACE = fox3dc.FXGLShape_ID_STYLE_SURFACE
    ID_STYLE_BOUNDINGBOX = fox3dc.FXGLShape_ID_STYLE_BOUNDINGBOX
    ID_FRONT_MATERIAL = fox3dc.FXGLShape_ID_FRONT_MATERIAL
    ID_BACK_MATERIAL = fox3dc.FXGLShape_ID_BACK_MATERIAL
    ID_LAST = fox3dc.FXGLShape_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onDNDDrop(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onDNDDrop,(self,) + _args, _kwargs)
        return val
    def onDNDMotion(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onDNDMotion,(self,) + _args, _kwargs)
        return val
    def onQueryTip(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onQueryTip,(self,) + _args, _kwargs)
        return val
    def onCmdShadeOff(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdShadeOff,(self,) + _args, _kwargs)
        return val
    def onUpdShadeOff(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdShadeOff,(self,) + _args, _kwargs)
        return val
    def onCmdShadeOn(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdShadeOn,(self,) + _args, _kwargs)
        return val
    def onUpdShadeOn(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdShadeOn,(self,) + _args, _kwargs)
        return val
    def onCmdShadeSmooth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdShadeSmooth,(self,) + _args, _kwargs)
        return val
    def onUpdShadeSmooth(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdShadeSmooth,(self,) + _args, _kwargs)
        return val
    def onCmdFrontMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdFrontMaterial,(self,) + _args, _kwargs)
        return val
    def onUpdFrontMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdFrontMaterial,(self,) + _args, _kwargs)
        return val
    def onCmdBackMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdBackMaterial,(self,) + _args, _kwargs)
        return val
    def onUpdBackMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdBackMaterial,(self,) + _args, _kwargs)
        return val
    def onCmdDrawingStyle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onCmdDrawingStyle,(self,) + _args, _kwargs)
        return val
    def onUpdDrawingStyle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onUpdDrawingStyle,(self,) + _args, _kwargs)
        return val
    def setTipText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_setTipText,(self,) + _args, _kwargs)
        return val
    def getTipText(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_getTipText,(self,) + _args, _kwargs)
        return val
    def setMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_setMaterial,(self,) + _args, _kwargs)
        return val
    def getMaterial(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_getMaterial,(self,) + _args, _kwargs)
        if val: val = FXMaterialPtr(val) ; val.thisown = 1
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLShape_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLShape(self)
    def __repr__(self):
        return "<C FXGLShape instance at %s>" % (self.this,)
class FXGLShape(FXGLShapePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLShape,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLPointPtr(FXGLObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLPoint_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLPoint(self)
    def __setattr__(self,name,value):
        if name == "pos" :
            fox3dc.FXGLPoint_pos_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "pos" : 
            return fox3dc.FXGLPoint_pos_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLPoint instance at %s>" % (self.this,)
class FXGLPoint(FXGLPointPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLPoint,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLLinePtr(FXGLObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLLine_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLLine(self)
    def __setattr__(self,name,value):
        if name == "fm" :
            fox3dc.FXGLLine_fm_set(self,value)
            return
        if name == "to" :
            fox3dc.FXGLLine_to_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "fm" : 
            return fox3dc.FXGLLine_fm_get(self)
        if name == "to" : 
            return fox3dc.FXGLLine_to_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLLine instance at %s>" % (self.this,)
class FXGLLine(FXGLLinePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLLine,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLCubePtr(FXGLShapePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCube_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLCube(self)
    def __setattr__(self,name,value):
        if name == "width" :
            fox3dc.FXGLCube_width_set(self,value)
            return
        if name == "height" :
            fox3dc.FXGLCube_height_set(self,value)
            return
        if name == "depth" :
            fox3dc.FXGLCube_depth_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "width" : 
            return fox3dc.FXGLCube_width_get(self)
        if name == "height" : 
            return fox3dc.FXGLCube_height_get(self)
        if name == "depth" : 
            return fox3dc.FXGLCube_depth_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLCube instance at %s>" % (self.this,)
class FXGLCube(FXGLCubePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLCube,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLSpherePtr(FXGLShapePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLSphere_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLSphere(self)
    def __setattr__(self,name,value):
        if name == "radius" :
            fox3dc.FXGLSphere_radius_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "radius" : 
            return fox3dc.FXGLSphere_radius_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLSphere instance at %s>" % (self.this,)
class FXGLSphere(FXGLSpherePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLSphere,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLCylinderPtr(FXGLShapePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCylinder_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLCylinder(self)
    def __setattr__(self,name,value):
        if name == "height" :
            fox3dc.FXGLCylinder_height_set(self,value)
            return
        if name == "radius" :
            fox3dc.FXGLCylinder_radius_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "height" : 
            return fox3dc.FXGLCylinder_height_get(self)
        if name == "radius" : 
            return fox3dc.FXGLCylinder_radius_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLCylinder instance at %s>" % (self.this,)
class FXGLCylinder(FXGLCylinderPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLCylinder,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLConePtr(FXGLShapePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLCone_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLCone(self)
    def __setattr__(self,name,value):
        if name == "height" :
            fox3dc.FXGLCone_height_set(self,value)
            return
        if name == "radius" :
            fox3dc.FXGLCone_radius_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "height" : 
            return fox3dc.FXGLCone_height_get(self)
        if name == "radius" : 
            return fox3dc.FXGLCone_radius_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXGLCone instance at %s>" % (self.this,)
class FXGLCone(FXGLConePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLCone,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXGLTriangleMeshPtr(FXGLShapePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def setVertexNumber(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_setVertexNumber,(self,) + _args, _kwargs)
        return val
    def getVertexNumber(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_getVertexNumber,(self,) + _args, _kwargs)
        return val
    def setVertexBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_setVertexBuffer,(self,) + _args, _kwargs)
        return val
    def setColorBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_setColorBuffer,(self,) + _args, _kwargs)
        return val
    def setNormalBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_setNormalBuffer,(self,) + _args, _kwargs)
        return val
    def setTextureCoordBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_setTextureCoordBuffer,(self,) + _args, _kwargs)
        return val
    def getVertexBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_getVertexBuffer,(self,) + _args, _kwargs)
        return val
    def getColorBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_getColorBuffer,(self,) + _args, _kwargs)
        return val
    def getNormalBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_getNormalBuffer,(self,) + _args, _kwargs)
        return val
    def getTextureCoordBuffer(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_getTextureCoordBuffer,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_onDefault,(self,) + _args, _kwargs)
        return val
    def draw(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_draw,(self,) + _args, _kwargs)
        return val
    def hit(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_hit,(self,) + _args, _kwargs)
        return val
    def canDrag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_canDrag,(self,) + _args, _kwargs)
        return val
    def canDelete(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_canDelete,(self,) + _args, _kwargs)
        return val
    def drag(self, *_args, **_kwargs):
        val = apply(fox3dc.FXGLTriangleMesh_drag,(self,) + _args, _kwargs)
        return val
    def __del__(self,fox3dc=fox3dc):
        if self.thisown == 1 :
            fox3dc.delete_FXGLTriangleMesh(self)
    def __repr__(self):
        return "<C FXGLTriangleMesh instance at %s>" % (self.this,)
class FXGLTriangleMesh(FXGLTriangleMeshPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(fox3dc.new_FXGLTriangleMesh,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------

PICK_TOL = fox3dc.PICK_TOL
VIEWER_LOCKED = fox3dc.VIEWER_LOCKED
VIEWER_LIGHTING = fox3dc.VIEWER_LIGHTING
VIEWER_FOG = fox3dc.VIEWER_FOG
VIEWER_DITHER = fox3dc.VIEWER_DITHER
SURFACE_SINGLESIDED = fox3dc.SURFACE_SINGLESIDED
SURFACE_DUALSIDED = fox3dc.SURFACE_DUALSIDED
SHADING_NONE = fox3dc.SHADING_NONE
SHADING_SMOOTH = fox3dc.SHADING_SMOOTH
SHADING_FLAT = fox3dc.SHADING_FLAT
FACECULLING_OFF = fox3dc.FACECULLING_OFF
FACECULLING_ON = fox3dc.FACECULLING_ON
STYLE_SURFACE = fox3dc.STYLE_SURFACE
STYLE_WIREFRAME = fox3dc.STYLE_WIREFRAME
STYLE_POINTS = fox3dc.STYLE_POINTS
STYLE_BOUNDBOX = fox3dc.STYLE_BOUNDBOX
