# This file was created automatically by SWIG.
import tablec

from misc import *

from windows import *

from containers import *
import fox
class FXTablePosPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,tablec=tablec):
        if self.thisown == 1 :
            tablec.delete_FXTablePos(self)
    def __setattr__(self,name,value):
        if name == "row" :
            tablec.FXTablePos_row_set(self,value)
            return
        if name == "col" :
            tablec.FXTablePos_col_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "row" : 
            return tablec.FXTablePos_row_get(self)
        if name == "col" : 
            return tablec.FXTablePos_col_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FXTablePos instance at %s>" % (self.this,)
class FXTablePos(FXTablePosPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(tablec.new_FXTablePos,_args,_kwargs)
        self.thisown = 1




class FXTableRangePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,tablec=tablec):
        if self.thisown == 1 :
            tablec.delete_FXTableRange(self)
    def __setattr__(self,name,value):
        if name == "fm" :
            tablec.FXTableRange_fm_set(self,value.this)
            return
        if name == "to" :
            tablec.FXTableRange_to_set(self,value.this)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "fm" : 
            return FXTablePosPtr(tablec.FXTableRange_fm_get(self))
        if name == "to" : 
            return FXTablePosPtr(tablec.FXTableRange_to_get(self))
        raise AttributeError,name
    def __repr__(self):
        return "<C FXTableRange instance at %s>" % (self.this,)
class FXTableRange(FXTableRangePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(tablec.new_FXTableRange,_args,_kwargs)
        self.thisown = 1




class FXTableItemPtr(FXObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def getText(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getText,(self,) + _args, _kwargs)
        return val
    def getIcon(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getIcon,(self,) + _args, _kwargs)
        if val: val = FXIconPtr(val) 
        return val
    def hasFocus(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_hasFocus,(self,) + _args, _kwargs)
        return val
    def isSelected(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_isSelected,(self,) + _args, _kwargs)
        return val
    def isEnabled(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_isEnabled,(self,) + _args, _kwargs)
        return val
    def isDraggable(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_isDraggable,(self,) + _args, _kwargs)
        return val
    def isMarked(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_isMarked,(self,) + _args, _kwargs)
        return val
    def getJustify(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getJustify,(self,) + _args, _kwargs)
        return val
    def setData(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setData,(self,) + _args, _kwargs)
        return val
    def getData(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getData,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_onDefault,(self,) + _args, _kwargs)
        return val
    def setText(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setText,(self,) + _args, _kwargs)
        return val
    def setIcon(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setIcon,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setFocus,(self,) + _args, _kwargs)
        return val
    def setSelected(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setSelected,(self,) + _args, _kwargs)
        return val
    def setEnabled(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setEnabled,(self,) + _args, _kwargs)
        return val
    def setDraggable(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setDraggable,(self,) + _args, _kwargs)
        return val
    def setMarked(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setMarked,(self,) + _args, _kwargs)
        return val
    def setJustify(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_setJustify,(self,) + _args, _kwargs)
        return val
    def getWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getWidth,(self,) + _args, _kwargs)
        return val
    def getHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_getHeight,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_create,(self,) + _args, _kwargs)
        return val
    def detach(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_detach,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(tablec.FXTableItem_destroy,(self,) + _args, _kwargs)
        return val
    def __del__(self,tablec=tablec):
        if self.thisown == 1 :
            tablec.delete_FXTableItem(self)
    def __repr__(self):
        return "<C FXTableItem instance at %s>" % (self.this,)
class FXTableItem(FXTableItemPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(tablec.new_FXTableItem,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)




class FXTablePtr(FXScrollAreaPtr):
    ID_HORZ_GRID = tablec.FXTable_ID_HORZ_GRID
    ID_VERT_GRID = tablec.FXTable_ID_VERT_GRID
    ID_DELETE_COLUMN = tablec.FXTable_ID_DELETE_COLUMN
    ID_DELETE_ROW = tablec.FXTable_ID_DELETE_ROW
    ID_INSERT_COLUMN = tablec.FXTable_ID_INSERT_COLUMN
    ID_INSERT_ROW = tablec.FXTable_ID_INSERT_ROW
    ID_SELECT_COLUMN = tablec.FXTable_ID_SELECT_COLUMN
    ID_SELECT_ROW = tablec.FXTable_ID_SELECT_ROW
    ID_SELECT_CELL = tablec.FXTable_ID_SELECT_CELL
    ID_SELECT_ALL = tablec.FXTable_ID_SELECT_ALL
    ID_DESELECT_ALL = tablec.FXTable_ID_DESELECT_ALL
    ID_MOVE_LEFT = tablec.FXTable_ID_MOVE_LEFT
    ID_MOVE_RIGHT = tablec.FXTable_ID_MOVE_RIGHT
    ID_MOVE_UP = tablec.FXTable_ID_MOVE_UP
    ID_MOVE_DOWN = tablec.FXTable_ID_MOVE_DOWN
    ID_MARK = tablec.FXTable_ID_MARK
    ID_EXTEND = tablec.FXTable_ID_EXTEND
    ID_LAST = tablec.FXTable_ID_LAST
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def onPaint(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onPaint,(self,) + _args, _kwargs)
        return val
    def onKeyPress(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onKeyPress,(self,) + _args, _kwargs)
        return val
    def onKeyRelease(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onKeyRelease,(self,) + _args, _kwargs)
        return val
    def onLeftBtnPress(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onLeftBtnPress,(self,) + _args, _kwargs)
        return val
    def onLeftBtnRelease(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onLeftBtnRelease,(self,) + _args, _kwargs)
        return val
    def onRightBtnPress(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onRightBtnPress,(self,) + _args, _kwargs)
        return val
    def onRightBtnRelease(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onRightBtnRelease,(self,) + _args, _kwargs)
        return val
    def onUngrabbed(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onUngrabbed,(self,) + _args, _kwargs)
        return val
    def onActivate(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onActivate,(self,) + _args, _kwargs)
        return val
    def onDeactivate(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onDeactivate,(self,) + _args, _kwargs)
        return val
    def onSelected(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onSelected,(self,) + _args, _kwargs)
        return val
    def onDeselected(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onDeselected,(self,) + _args, _kwargs)
        return val
    def onInserted(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onInserted,(self,) + _args, _kwargs)
        return val
    def onDeleted(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onDeleted,(self,) + _args, _kwargs)
        return val
    def onFocusIn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onFocusIn,(self,) + _args, _kwargs)
        return val
    def onFocusOut(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onFocusOut,(self,) + _args, _kwargs)
        return val
    def onBlink(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onBlink,(self,) + _args, _kwargs)
        return val
    def onSelectionLost(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onSelectionLost,(self,) + _args, _kwargs)
        return val
    def onSelectionGained(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onSelectionGained,(self,) + _args, _kwargs)
        return val
    def onAutoScroll(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onAutoScroll,(self,) + _args, _kwargs)
        return val
    def onMotion(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onMotion,(self,) + _args, _kwargs)
        return val
    def onChanged(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onChanged,(self,) + _args, _kwargs)
        return val
    def onCommand(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCommand,(self,) + _args, _kwargs)
        return val
    def onClicked(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onClicked,(self,) + _args, _kwargs)
        return val
    def onDoubleClicked(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onDoubleClicked,(self,) + _args, _kwargs)
        return val
    def onTripleClicked(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onTripleClicked,(self,) + _args, _kwargs)
        return val
    def onCmdHorzGrid(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdHorzGrid,(self,) + _args, _kwargs)
        return val
    def onUpdHorzGrid(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onUpdHorzGrid,(self,) + _args, _kwargs)
        return val
    def onCmdVertGrid(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdVertGrid,(self,) + _args, _kwargs)
        return val
    def onUpdVertGrid(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onUpdVertGrid,(self,) + _args, _kwargs)
        return val
    def onCmdDeleteColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdDeleteColumn,(self,) + _args, _kwargs)
        return val
    def onUpdDeleteColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onUpdDeleteColumn,(self,) + _args, _kwargs)
        return val
    def onCmdDeleteRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdDeleteRow,(self,) + _args, _kwargs)
        return val
    def onUpdDeleteRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onUpdDeleteRow,(self,) + _args, _kwargs)
        return val
    def onCmdInsertColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdInsertColumn,(self,) + _args, _kwargs)
        return val
    def onCmdInsertRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdInsertRow,(self,) + _args, _kwargs)
        return val
    def onCmdMoveRight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdMoveRight,(self,) + _args, _kwargs)
        return val
    def onCmdMoveLeft(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdMoveLeft,(self,) + _args, _kwargs)
        return val
    def onCmdMoveUp(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdMoveUp,(self,) + _args, _kwargs)
        return val
    def onCmdMoveDown(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdMoveDown,(self,) + _args, _kwargs)
        return val
    def onCmdMark(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdMark,(self,) + _args, _kwargs)
        return val
    def onCmdExtend(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdExtend,(self,) + _args, _kwargs)
        return val
    def onCmdSelectCell(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdSelectCell,(self,) + _args, _kwargs)
        return val
    def onCmdSelectRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdSelectRow,(self,) + _args, _kwargs)
        return val
    def onCmdSelectColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdSelectColumn,(self,) + _args, _kwargs)
        return val
    def onCmdSelectAll(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdSelectAll,(self,) + _args, _kwargs)
        return val
    def onCmdDeselectAll(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onCmdDeselectAll,(self,) + _args, _kwargs)
        return val
    def setVisibleRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setVisibleRows,(self,) + _args, _kwargs)
        return val
    def getVisibleRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getVisibleRows,(self,) + _args, _kwargs)
        return val
    def setVisibleCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setVisibleCols,(self,) + _args, _kwargs)
        return val
    def getVisibleCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getVisibleCols,(self,) + _args, _kwargs)
        return val
    def getContentWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getContentWidth,(self,) + _args, _kwargs)
        return val
    def getContentHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getContentHeight,(self,) + _args, _kwargs)
        return val
    def moveContents(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_moveContents,(self,) + _args, _kwargs)
        return val
    def setTableSize(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setTableSize,(self,) + _args, _kwargs)
        return val
    def getNumRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getNumRows,(self,) + _args, _kwargs)
        return val
    def getNumCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getNumCols,(self,) + _args, _kwargs)
        return val
    def setMarginTop(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setMarginTop,(self,) + _args, _kwargs)
        return val
    def getMarginTop(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getMarginTop,(self,) + _args, _kwargs)
        return val
    def setMarginBottom(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setMarginBottom,(self,) + _args, _kwargs)
        return val
    def getMarginBottom(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getMarginBottom,(self,) + _args, _kwargs)
        return val
    def setMarginLeft(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setMarginLeft,(self,) + _args, _kwargs)
        return val
    def getMarginLeft(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getMarginLeft,(self,) + _args, _kwargs)
        return val
    def setMarginRight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setMarginRight,(self,) + _args, _kwargs)
        return val
    def getMarginRight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getMarginRight,(self,) + _args, _kwargs)
        return val
    def getTableStyle(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getTableStyle,(self,) + _args, _kwargs)
        return val
    def setTableStyle(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setTableStyle,(self,) + _args, _kwargs)
        return val
    def setLeadingRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setLeadingRows,(self,) + _args, _kwargs)
        return val
    def getLeadingRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getLeadingRows,(self,) + _args, _kwargs)
        return val
    def setLeadingCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setLeadingCols,(self,) + _args, _kwargs)
        return val
    def getLeadingCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getLeadingCols,(self,) + _args, _kwargs)
        return val
    def setTrailingRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setTrailingRows,(self,) + _args, _kwargs)
        return val
    def getTrailingRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getTrailingRows,(self,) + _args, _kwargs)
        return val
    def setTrailingCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setTrailingCols,(self,) + _args, _kwargs)
        return val
    def getTrailingCols(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getTrailingCols,(self,) + _args, _kwargs)
        return val
    def rowAtY(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_rowAtY,(self,) + _args, _kwargs)
        return val
    def colAtX(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_colAtX,(self,) + _args, _kwargs)
        return val
    def insertRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_insertRows,(self,) + _args, _kwargs)
        return val
    def insertColumns(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_insertColumns,(self,) + _args, _kwargs)
        return val
    def deleteRows(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_deleteRows,(self,) + _args, _kwargs)
        return val
    def deleteColumns(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_deleteColumns,(self,) + _args, _kwargs)
        return val
    def makePositionVisible(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_makePositionVisible,(self,) + _args, _kwargs)
        return val
    def setColumnWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setColumnWidth,(self,) + _args, _kwargs)
        return val
    def getColumnWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getColumnWidth,(self,) + _args, _kwargs)
        return val
    def setRowHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setRowHeight,(self,) + _args, _kwargs)
        return val
    def getRowHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getRowHeight,(self,) + _args, _kwargs)
        return val
    def setDefColumnWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setDefColumnWidth,(self,) + _args, _kwargs)
        return val
    def getDefColumnWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getDefColumnWidth,(self,) + _args, _kwargs)
        return val
    def setDefRowHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setDefRowHeight,(self,) + _args, _kwargs)
        return val
    def getDefRowHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getDefRowHeight,(self,) + _args, _kwargs)
        return val
    def setItemText(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setItemText,(self,) + _args, _kwargs)
        return val
    def getItemText(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getItemText,(self,) + _args, _kwargs)
        return val
    def setItemIcon(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setItemIcon,(self,) + _args, _kwargs)
        return val
    def getItemIcon(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getItemIcon,(self,) + _args, _kwargs)
        if val: val = FXIconPtr(val) 
        return val
    def setItemData(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setItemData,(self,) + _args, _kwargs)
        return val
    def getItemData(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getItemData,(self,) + _args, _kwargs)
        return val
    def isItemSelected(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_isItemSelected,(self,) + _args, _kwargs)
        return val
    def isItemCurrent(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_isItemCurrent,(self,) + _args, _kwargs)
        return val
    def isItemVisible(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_isItemVisible,(self,) + _args, _kwargs)
        return val
    def isItemEnabled(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_isItemEnabled,(self,) + _args, _kwargs)
        return val
    def updateItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_updateItem,(self,) + _args, _kwargs)
        return val
    def enableItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_enableItem,(self,) + _args, _kwargs)
        return val
    def disableItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_disableItem,(self,) + _args, _kwargs)
        return val
    def selectItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_selectItem,(self,) + _args, _kwargs)
        return val
    def deselectItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_deselectItem,(self,) + _args, _kwargs)
        return val
    def toggleItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_toggleItem,(self,) + _args, _kwargs)
        return val
    def setCurrentItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setCurrentItem,(self,) + _args, _kwargs)
        return val
    def getCurrentRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getCurrentRow,(self,) + _args, _kwargs)
        return val
    def getCurrentColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getCurrentColumn,(self,) + _args, _kwargs)
        return val
    def setAnchorItem(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setAnchorItem,(self,) + _args, _kwargs)
        return val
    def getAnchorRow(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getAnchorRow,(self,) + _args, _kwargs)
        return val
    def getAnchorColumn(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getAnchorColumn,(self,) + _args, _kwargs)
        return val
    def extendSelection(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_extendSelection,(self,) + _args, _kwargs)
        return val
    def killSelection(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_killSelection,(self,) + _args, _kwargs)
        return val
    def setFont(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setFont,(self,) + _args, _kwargs)
        return val
    def getFont(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getFont,(self,) + _args, _kwargs)
        if val: val = FXFontPtr(val) 
        return val
    def setTextColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setTextColor,(self,) + _args, _kwargs)
        return val
    def getTextColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getTextColor,(self,) + _args, _kwargs)
        return val
    def setBaseColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setBaseColor,(self,) + _args, _kwargs)
        return val
    def getBaseColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getBaseColor,(self,) + _args, _kwargs)
        return val
    def setHiliteColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setHiliteColor,(self,) + _args, _kwargs)
        return val
    def getHiliteColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getHiliteColor,(self,) + _args, _kwargs)
        return val
    def setShadowColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setShadowColor,(self,) + _args, _kwargs)
        return val
    def getShadowColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getShadowColor,(self,) + _args, _kwargs)
        return val
    def setBorderColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setBorderColor,(self,) + _args, _kwargs)
        return val
    def getBorderColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getBorderColor,(self,) + _args, _kwargs)
        return val
    def setSelBackColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setSelBackColor,(self,) + _args, _kwargs)
        return val
    def getSelBackColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getSelBackColor,(self,) + _args, _kwargs)
        return val
    def setSelTextColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setSelTextColor,(self,) + _args, _kwargs)
        return val
    def getSelTextColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getSelTextColor,(self,) + _args, _kwargs)
        return val
    def setGridColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setGridColor,(self,) + _args, _kwargs)
        return val
    def getGridColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getGridColor,(self,) + _args, _kwargs)
        return val
    def setCellColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setCellColor,(self,) + _args, _kwargs)
        return val
    def getCellColor(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getCellColor,(self,) + _args, _kwargs)
        return val
    def setHelpText(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setHelpText,(self,) + _args, _kwargs)
        return val
    def getHelpText(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getHelpText,(self,) + _args, _kwargs)
        return val
    def handle(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_handle,(self,) + _args, _kwargs)
        return val
    def onDefault(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_onDefault,(self,) + _args, _kwargs)
        return val
    def create(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_create,(self,) + _args, _kwargs)
        return val
    def destroy(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_destroy,(self,) + _args, _kwargs)
        return val
    def getDefaultWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getDefaultWidth,(self,) + _args, _kwargs)
        return val
    def getDefaultHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getDefaultHeight,(self,) + _args, _kwargs)
        return val
    def show(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_show,(self,) + _args, _kwargs)
        return val
    def hide(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_hide,(self,) + _args, _kwargs)
        return val
    def enable(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_enable,(self,) + _args, _kwargs)
        return val
    def disable(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_disable,(self,) + _args, _kwargs)
        return val
    def canFocus(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_canFocus,(self,) + _args, _kwargs)
        return val
    def setFocus(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_setFocus,(self,) + _args, _kwargs)
        return val
    def killFocus(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_killFocus,(self,) + _args, _kwargs)
        return val
    def recalc(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_recalc,(self,) + _args, _kwargs)
        return val
    def layout(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_layout,(self,) + _args, _kwargs)
        return val
    def lower(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_lower,(self,) + _args, _kwargs)
        return val
    def move(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_move,(self,) + _args, _kwargs)
        return val
    def resize(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_resize,(self,) + _args, _kwargs)
        return val
    def position(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_position,(self,) + _args, _kwargs)
        return val
    def isComposite(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_isComposite,(self,) + _args, _kwargs)
        return val
    def contains(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_contains,(self,) + _args, _kwargs)
        return val
    def getWidthForHeight(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getWidthForHeight,(self,) + _args, _kwargs)
        return val
    def getHeightForWidth(self, *_args, **_kwargs):
        val = apply(tablec.FXTable_getHeightForWidth,(self,) + _args, _kwargs)
        return val
    def __del__(self,tablec=tablec):
        if self.thisown == 1 :
            tablec.delete_FXTable(self)
    def __repr__(self):
        return "<C FXTable instance at %s>" % (self.this,)
class FXTable(FXTablePtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(tablec.new_FXTable,_args,_kwargs)
        self.thisown = 1
        FXPyRegister(self)






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------

DEFAULT_MARGIN = tablec.DEFAULT_MARGIN
TABLE_HOR_GRIDLINES = tablec.TABLE_HOR_GRIDLINES
TABLE_VER_GRIDLINES = tablec.TABLE_VER_GRIDLINES
